<?php

function theme_options_admin_enqueue() {
	
    $template_url = get_template_directory_uri();

    //CSS
    wp_enqueue_style('thickbox');
    wp_enqueue_style('theme-colorpicker-css', $template_url.'/framework/admin/layout/css/colorpicker.css', false, false, 'screen');
    wp_enqueue_style('theme-css', $template_url.'/framework/admin/layout/css/admin.css', false, false, 'screen');
	wp_enqueue_style('iphone-checkboxes-css', $template_url.'/framework/admin/layout/css/iphone-checkboxes.css', false, false, 'screen');
	

    //JS
    wp_enqueue_script('jquery-ui-sortable');
    wp_enqueue_script('thickbox');
    wp_enqueue_script('media-upload');
	wp_enqueue_script('range_input', $template_url . '/framework/admin/layout/js/jquery.tools.min.js', array('jquery'), false );
	wp_enqueue_script('theme_js', $template_url . '/framework/admin/layout/js/admin.js', array('jquery'), false );
    wp_enqueue_script('theme_colorpicker_script', $template_url . '/framework/admin/layout/js/colorpicker.js', array('jquery'), false );
	wp_enqueue_script('theme_eye_script', $template_url . '/framework/admin/layout/js/eye.js', array('jquery'), false );
    wp_enqueue_script('iphone_checkboxes_script', $template_url . '/framework/admin/layout/js/iphone-style-checkboxes.js', array('jquery'), false );
	
}

add_action('admin_init', 'theme_options_admin_enqueue');

?>