<?php

$shortcodes = array(
	array(
		"name" => "Layouts",
		"value" => "layouts",
		"sub" => true,
		"options" => array(
			array(
				"name" => "Two Column Layout",
				"value" => "one_half_layout",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),				
					array(
						"name" => "One-half Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-half Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "Three Column Layout",
				"value" => "one_third_layout",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "One-third Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-third Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-third Content",
						"id" => "3",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "Four Column Layout",
				"value" => "one_fourth_layout",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "One-fourth Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-fourth Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-fourth Content",
						"id" => "3",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-fourth Content",
						"id" => "4",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "Five Column Layout",
				"value" => "one_fifth_layout",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "One-fifth Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-fifth Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-fifth Content",
						"id" => "3",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-fifth Content",
						"id" => "4",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-fifth Content",
						"id" => "5",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "Six Column Layout",
				"value" => "one_sixth_layout",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "One-sixth Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-sixth Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-sixth Content",
						"id" => "3",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-sixth Content",
						"id" => "4",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-sixth Content",
						"id" => "5",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-sixth Content",
						"id" => "6",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "One Third - Two Third",
				"value" => "one_third_two_third",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "One-third Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "Two-third Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "Two Third - One Third",
				"value" => "two_third_one_third",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "Two-third Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-third Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "One Fourth - Three Fourth",
				"value" => "one_fourth_three_fourth",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "One-fourth Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "Three-fourth Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "Three Fourth - One Fourth",
				"value" => "three_fourth_one_fourth",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "Three-fourth Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-fourth Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "One Fourth - One Fourth - One Half",
				"value" => "one_fourth_one_fourth_one_half",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "One-fourth Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-fourth Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-half Content",
						"id" => "3",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "One Fourth - One Half - One Fourth",
				"value" => "one_fourth_one_half_one_fourth",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "One-fourth Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-half Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-fourth Content",
						"id" => "3",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "One Half - One Fourth - One Fourth",
				"value" => "one_half_one_fourth_one_fourth",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "One-half Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-fourth Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-fourth Content",
						"id" => "3",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "Four Fifth - One Fifth",
				"value" => "four_fifth_one_fifth",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "Four-fifth Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-fifth Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "One Fifth - Four Fifth",
				"value" => "one_fifth_four_fifth",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "One-fifth Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "Four-fifth Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "Two Fifth - Three Fifth",
				"value" => "two_fifth_three_fifth",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "Two-fifth Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "Three-fifth Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "Three Fifth - Two Fifth",
				"value" => "three_fifth_two_fifth",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "Three-fifth Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "Two-fifth Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "One Sixth - Five Sixth",
				"value" => "one_sixth_five_sixth",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "One-sixth Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "Five-sixth Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "Five Sixth - One Sixth",
				"value" => "five_sixth_one_sixth",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "Five-sixth Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-sixth Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "One Sixth - One Sixth - One Sixth - One Half",
				"value" => "one_sixth_one_sixth_one_sixth_one_half",
				"options" => array (
					array (
						"name" => "Divider",
						"id" => "divider",
						"std" => "false",
						"type" => "toggle"
					),					
					array(
						"name" => "One-sixth Content",
						"id" => "1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-sixth Content",
						"id" => "2",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-sixth Content",
						"id" => "3",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => "One-half Content",
						"id" => "4",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
		),
	),
	array(
		"name" => "HTML",
		"value" => "html",
		"sub" => "true",
		"options" => array(
			array(
				"name" => "Image-Header",
				"value" => "header",
				"options" => array (						
					array(
						"name" => "Size",
						"id" => "size",
						"std" => 'h2',
						"data" => array(
							"h1" => "H1",
							"h2" => "H2",
							"h3" => "H3",
						),
						"type" => "select",
						"size" => "small"
					),
					array(
						"name" => "Title",
						"id" => "title",
						"std" => "",
						"type" => "text",
						"size" => "normal"
					),
					array(
						"name" => "Description",
						"id" => "description",
						"std" => "",
						"type" => "text",
						"size" => "normal"
					),
					array(
						"name" => "Header Image Url",
						"id" => "src",
						"std" => "",
						"type" => "upload",
						"desc" => "The max size of the image should be 50x50 pixels"
					),
				)
			),	
			array(
				"name" => "Content",
				"value" => "content",
				"options" => array (						
					array(
						"name" => "Size",
						"id" => "size",
						"std" => 'general',
						"data" => array(
							"small" => "Small",
							"general" => "General",
							"large" => "Large",
						),
						"type" => "select",
						"size" => "small"
					),
					array(
						"name" => "Content",
						"id" => "content",
						"std" => "",
						"type" => "textarea"
					),
				)
			),		
			array(
				"name" => "Link",
				"value" => "link",
				"options" => array (						
					array(
						"name" => "Text",
						"id" => "text",
						"std" => 'Read More &rarr;',
						"data" => array(
							"Read More &rarr;" => "Read More &rarr;",
							"Read More..." => "Read More...",
							"[Read More]" => "[Read More]",
						),
						"type" => "select",
						"size" => "normal"
					),
					array(
						"name" => "Target",
						"id" => "target",
						"std" => "_self",
						"data" => array(
							"_self" => "Same Window",
							"_blank" => "New Window",
						),
						"type" => "select",
						"size" => "normal"
					),
					array(
						"name" => "URL",
						"id" => "url",
						"std" => "",
						"type" => "text",
						"size" => "large",
					),
				)
			),
			array(
				"name" => "Lists",
				"value" => "list",
				"options" => array (
					array(
						"name" => "Style",
						"id" => "style",
						"std" => 'disc',
						"data" => array(
							"none" => 'None',
							"circle" => 'Circle',
							"disc" => 'Disc',
							"square" => 'Square',
							"upper-roman" => 'Upper-case Roman',
							"lower-roman" => 'Lower-case Roman',
							"upper-alpha" => 'Upper-case Alphabets',
							"lower-alpha" => 'Lower-case Alphabets',
							"decimal" => 'Decimal',
						),
						"type" => "select",
						"size" => "normal"
					),		
					array(
						"name" => "Float type",
						"id" => "float",
						"std" => 'none',
						"data" => array(
							"none" => "None",
							"left" => "Left",
							"right" => "Right",
						),
						"type" => "select",
						"size" => "small"
					),
					array(
						"name" => "Content",
						"id" => "content",
						"std" => "",
						"type" => "textarea",
						"desc" => "Enter lists enclosed in &lt;li&gt;...&lt;/li&gt; tags"
					),
				)
			),
			array(
				"name" => "Divider",
				"value" => "divider",
				"options" => array(
					array(
						"name" => "Type",
						"id" => "type",
						"std" => 'divider_top',
						"data" => array(
							"divider_top" => "Divider Line With Top Scroll",
							"divider_padding" => "Divider Padding",
							"divider" => "Divider Line With Padding",
							"clear" => "Clear Both",
						),
						"type" => "select",
						"size" => "normal"
					),
				),
			),
			array(
				"name" => "iFrame",
				"value" => "iframe",
				"options" => array(
					array(
						"name" => "Source",
						"id" => "src",
						"size" => "large",
						"std" => "",
						"type" => "text",
						"desc" => "Provide full URL (including http://) of the source",
					),
					array(
						"name" => "Width",
						"desc" => "Provide width in px",
						"id" => "width",
						"size" => "small",
						"std" => "",
						"type" => "text",
					),
					array(
						"name" => "Height",
						"desc" => "Provide height in px",
						"id" => "height",
						"size" => "small",
						"std" => "",
						"type" => "text",
					),
				),
			),
		),	
	),	
	array(
		"name" => "Buttons",
		"value" => "buttons",
		"options" => array(
			array(
				"name" => "Id (optional)",
				"id" => "id",
				"std" => "",
				"type" => "text",
				"size" => "normal"
			),
			array(
				"name" => "Class (optional)",
				"id" => "class",
				"std" => "",
				"type" => "text",
				"size" => "normal"
			),
			array(
				"name" => "Size",
				"id" => "size",
				"std" => 'medium',
				"data" => array(
					"small" => "Small",
					"medium" => "Medium",
					"large" => "Large",
				),
				"type" => "select",
				"size" => "small"
			),
			array (
				"name" => "Full",
				"id" => "full",
				"std" => "false",
				"type" => "toggle"
			),
			array(
				"name" => "Link (optional)",
				"id" => "link",
				"std" => "",
				"type" => "text",
				"size" => "large",
				"desc" => "Include http://"
			),			
			array (
				"name" => "Open link in Lightbox?",
				"id" => "lightbox",
				"std" => false,
				"type" => "toggle"
			),	
			array(
				"name" => "Color",
				"id" => "color",
				"std" => "",				
				"type" => "colorpicker",
				"desc" => "Choose the button color by including the HEX # ie. 2ba412"
			),			
			array(
				"name" => "Text",
				"id" => "text",
				"std" => "",
				"type" => "text",
				"size" => "normal"
			),
			array (
				"name" => "Width (optional)",
				"id" => "width",
				"std" => '',
				"desc" => "Provide a width between 0px & 960px",
				"type" => "text",
				"size" => "small"
			),
			
		),
	),
	array(
		"name" => "Text Boxes",
		"value" => "boxes",
		"sub" => "true",
		"options" => array(
			array(
				"name" => "Quotes",
				"value" => "blockquote",
				"options" => array (					
					array(
						"name" => "Cite (optional)",
						"id" => "cite",
						"std" => "",
						"type" => "text",
						"size" => "normal"
					),
					array(
						"name" => "Content",
						"id" => "content",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "Message Boxes",
				"value" => "messageboxes",
				"options" => array (
					array(
						"name" => "Type",
						"id" => "type",
						"std" => 'info',
						"data" => array(
							"info" => "Info",
							"success" => "Success",
							"error" => "Error",
							"error_msg" => "Error Msg",
							"notice" => "Notice",
						),
						"type" => "select",
						"size" => "normal"
					),
					array(
						"name" => "Content",
						"id" => "content",
						"std" => "",
						"type" => "textarea"
					),
				)
			),
			array(
				"name" => "Framed Box",
				"value" => "framed_box",
				"options" => array (
					array(
						"name" => "Content",
						"id" => "content",
						"std" => "",
						"type" => "textarea"
					),
					array (
						"name" => "Width (optional)",
						"id" => "width",
						"std" => '',
						"desc" => "Provide a width between 0px & 960px",
						"type" => "text",
						"size" => "small"
					),
					array (
						"name" => "Height (optional)",
						"id" => "height",
						"std" => '',
						"desc" => "Provide a height in px",
						"type" => "text",
						"size" => "small"						
					),
					array(
						"name" => "Background Color (optional)",
						"id" => "bgColor",
						"std" => "",
						"type" => "colorpicker"
					),
					array(
						"name" => "Text Color (optional)",
						"id" => "textColor",
						"std" => "",
						"type" => "colorpicker"
					),
					array (
						"name" => "Rounded",
						"id" => "rounded",
						"std" => "false",
						"type" => "toggle"
					),
				)
			),
			array(
				"name" => "Note Box",
				"value" => "note_box",
				"options" => array (
					array(
						"name" => "Title",
						"id" => "title",
						"std" => "",
						"type" => "text",
						"size" => "normal"
					),
					array(
						"name" => "Content",
						"id" => "content",
						"std" => "",
						"type" => "textarea"
					),
					array (
						"name" => "Width (optional)",
						"id" => "width",
						"std" => '',
						"desc" => "Provide a width between 0px & 960px",
						"type" => "text",
						"size" => "small"
					),
				)
			),
		),
	),	
	array(
		"name" => "UI Controls",
		"value" => "uicontrols",
		"sub" => "true",
		"options" => array(	
			array(
				"name" => "Tabs",
				"value" => "tabs",
				"options" => array(			
					array(
						"name" => "Number of tabs",
						"id" => "number",
						"desc" => "Provide a number between 1 & 4",
						"std" => "2",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => sprintf("Tab %d Title",1),
						"id" => "title_1",
						"std" => "",
						"type" => "text",
						"size" => "normal"
					),
					array(
						"name" => sprintf("Tab %d Content",1),
						"id" => "content_1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" =>  sprintf("Tab %d Title",2),
						"id" => "title_2",
						"std" => "",
						"type" => "text",
						"size" => "normal"
					),
					array(
						"name" => sprintf("Tab %d Content",2),
						"id" => "content_2",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" =>  sprintf("Tab %d Title",3),
						"id" => "title_3",
						"std" => "",
						"type" => "text",
						"size" => "normal"
					),
					array(
						"name" => sprintf("Tab %d Content",3),
						"id" => "content_3",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" =>  sprintf("Tab %d Title",4),
						"id" => "title_4",
						"std" => "",
						"type" => "text",
						"size" => "normal"
					),
					array(
						"name" => sprintf("Tab %d Content",4),
						"id" => "content_4",
						"std" => "",
						"type" => "textarea"
					),
				),
			),
			array(
				"name" => "Accordion",
				"value" => "accordion",
				"options" => array(
					array(
						"name" => "Number of pans",
						"id" => "number",
						"desc" => "Provide a number between 1 & 4",
						"std" => "2",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => sprintf("Accordion %d Title",1),
						"id" => "title_1",
						"std" => "",
						"type" => "text",
						"size" => "normal"
					),
					array(
						"name" => sprintf("Accordion %d Content",1),
						"id" => "content_1",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => sprintf("Accordion %d Title",2),
						"id" => "title_2",
						"std" => "",
						"type" => "text",
						"size" => "normal"
					),
					array(
						"name" => sprintf("Accordion %d Content",2),
						"id" => "content_2",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => sprintf("Accordion %d Title",3),
						"id" => "title_3",
						"std" => "",
						"type" => "text",
						"size" => "normal"
					),
					array(
						"name" => sprintf("Accordion %d Content",3),
						"id" => "content_3",
						"std" => "",
						"type" => "textarea"
					),
					array(
						"name" => sprintf("Accordion %d Title",4),
						"id" => "title_4",
						"std" => "",
						"type" => "text",
						"size" => "normal"
					),
					array(
						"name" => sprintf("Accordion %d Content",4),
						"id" => "content_4",
						"std" => "",
						"type" => "textarea"
					),
				),
			),
			array(
				"name" => "Toggle",
				"value" => "toggle",
				"options" => array(
					array(
						"name" => "Title",
						"id" => "title",
						"std" => "",
						"type" => "text",
						"size" => "normal"
					),
					array(
						"name" => "Content",
						"id" => "content",
						"std" => "",
						"type" => "textarea"
					),
				),
			),
		),
	),				
	array(
		"name" => "Social",
		"value" => "social",
		"sub" => "true",
		"options" => array(
			array(
				"name" => "Share Buttons",
				"value" => "share",
				"options" => array (
					array(
						"name" => "Type",
						"desc" => "",
						"id" => "type",
						"std" => "all",
						"type" => "select",
						"size" => "small",
						"data" => array(
							"twitter" => "Twitter",
							"facebook" => "Facebook",
							"all" => "All",
						),
					),										
				)
			),
			array(
				"name" => "Twitter Feed",
				"value" => "twitter",
				"options" => array (
					array(
						"name" => "Username",
						"desc" => "Twitter Username",
						"id" => "username",
						"std" => "",
						"type" => "text",
						"size" => "normal"
					),
					array(
						"name" => "Count",
						"desc" => "",
						"id" => "count",
						"std" => '4',
						"desc" => "Provide a number between 0 & 20",
						"type" => "text",
						"size" => "small"
					),					
				)
			),	
			array(
				"name" => "Youtube Feed",
				"value" => "videos",
				"options" => array (
					array(
						"name" => "Type",
						"desc" => "Choose a channel or playlist",
						"id" => "type",
						"std" => "channel",
						"type" => "select",
						"size" => "small",
						"data" => array(
							"channel" => 'Channel',
							"playlist" => 'Playlist',
						)
					),
					array(
						"name" => "Channel/Playlist ID",
						"desc" => "",
						"id" => "id",
						"std" => '',
						"desc" => "Provide a Youtube Channel name or a Playlist ID",
						"type" => "text",
						"size" => "normal"
					),	
					array(
						"name" => "Count",
						"desc" => "",
						"id" => "count",
						"std" => '',
						"desc" => "# of Videos, provide a number between 0 & 20",
						"type" => "text",
						"size" => "small"
					),	
					array(
						"name" => "Thumbnail Size",
						"desc" => "",
						"id" => "size",
						"std" => 'medium',
						"desc" => "Size of the thumbnail image",
						"type" => "select",
						"size" => "small",
						"data" => array(
							"small" => "Small",
							"medium" => "Medium",
							"large" => "Large"							
						)
					),
					array(
						"name" => "Show title",
						"desc" => "",
						"id" => "title",
						"std" => 'true',
						"desc" => "",
						"type" => "toggle"
					),
					array(
						"name" => "Show author",
						"desc" => "",
						"id" => "author",
						"std" => 'true',
						"desc" => "",
						"type" => "toggle"
					),					
					array(
						"name" => "Show views",
						"desc" => "",
						"id" => "views",
						"std" => 'true',
						"desc" => "",
						"type" => "toggle"
					),
					array(
						"name" => "Show date",
						"desc" => "",
						"id" => "date",
						"std" => 'true',
						"desc" => "",
						"type" => "toggle"
					),					
				)
			),	
			array(
				"name" => "Channelit",
				"value" => "channelit",
				"options" => array (
					array(
						"name" => "Type",
						"desc" => "Choose a channel or playlist",
						"id" => "type",
						"std" => "channel",
						"type" => "select",
						"size" => "small",
						"data" => array(
							"channel" => 'Channel',
							"playlist" => 'Playlist',
						)
					),
					array(
						"name" => "Channel/Playlist ID",
						"desc" => "",
						"id" => "id",
						"std" => '',
						"desc" => "Provide a Youtube Channel name or a Playlist ID",
						"type" => "text",
						"size" => "normal"
					),	
					array(
						"name" => "Count",
						"desc" => "",
						"id" => "count",
						"std" => '',
						"desc" => "# of Videos, provide a number between 0 & 20",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => "Playlist Alignment",
						"desc" => "",
						"id" => "playlist",
						"std" => 'right',
						"desc" => "Alignment of the video playlist",
						"type" => "select",
						"size" => "small",
						"data" => array(
							"left" => 'Left',
							"right" => 'Right',
						)
					),
				)
			),
			array(
				"name" => "Facebook Comments",
				"value" => "fbcomments",
				"options" => array (
					array(
						"name" => "Width",
						"desc" => "Width of the commenting window in px",
						"id" => "width",
						"std" => "400px",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => "Count",
						"desc" => "# of posts to be displayed, provide a number between 0 & 30",
						"id" => "count",
						"std" => '10',
						"type" => "text",
						"size" => "small"
					),					
				)
			),	
			array(
				"name" => "Facebook Like Box",
				"value" => "fbbox",
				"options" => array (
					array(
						"name" => "URL",
						"desc" => "Facebook Page URL (Eg: http://www.facebook.com/platform)",
						"id" => "url",
						"std" => "",
						"type" => "text",
						"size" => "large"
					),
					array(
						"name" => "Width",
						"desc" => "Width of the like box in px",
						"id" => "width",
						"std" => "292px",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => "Show Faces",
						"desc" => "",
						"id" => "faces",
						"std" => 'true',
						"type" => "toggle"
					),	
					array(
						"name" => "Show Stream",
						"desc" => "",
						"id" => "stream",
						"std" => 'true',
						"type" => "toggle"
					),	
				)
			),			
			array(
				"name" => "Google Maps",
				"value" => "gmaps",
				"options" => array (
					array(
						"name" => "Width",
						"desc" => "Width of the window in px",
						"id" => "width",
						"std" => "400px",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => "Height",
						"desc" => "Height of the window in px",
						"id" => "height",
						"std" => "400px",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => "Latitude",
						"desc" => "Eg. 50.98106",
						"id" => "lat",
						"std" => "",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => "Longtitude",
						"desc" => "Eg. -114.07680",
						"id" => "long",
						"std" => "",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => "Address",
						"desc" => "If you do not know your location co-ordinates, indicate your address.<br>This must be indexed by Google in order to properly display the map.",
						"id" => "address",
						"std" => "",
						"type" => "text",
						"size" => "large"
					),					
				)
			),
			array(
				"name" => "Flickr",
				"value" => "flickr",
				"options" => array (
					array(
						"name" => "Flickr ID",
						"desc" => "Use this service to get the flickr ID <a href='http://idgettr.com/' target='_blank'>idGettr</a>",
						"id" => "id",
						"default" => "",
						"type" => "text",
						"size" => "normal"
					),
					array(
						"name" => "Count",
						"desc" => "Provide a number between 0 & 20",
						"id" => "count",
						"default" => '4',						
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => "Display",
						"id" => "display",
						"default" => 'latest',
						"data" => array(
							"latest" => "Latest",
							"random" => "Random",
						),
						"type" => "select",
					),
					array(
						"name" => "Size",
						"id" => "size",
						"default" => 't',
						"data" => array(
							"s" => "Small",
							"t" => "Medium",
							"m" => "Large"
						),
						"type" => "select",
					),
				),
			),
		),
	),
	array(
		"name" => "Blog",
		"value" => "blog",
		"sub" => "true",	
		"options" => array(
			array(
				"name" => "Popular Posts",
				"value" => "popular_posts",
				"options" => array (
					array(
						"name" => "Count",
						"desc" => "",
						"id" => "count",
						"std" => '4',
						"desc" => "Provide a number between 0 & 20",
						"type" => "text",
						"size" => "small"
					),					
					array(
						"name" => "Category (optional)",
						"id" => "cat",
						"std" => "all",
						"type" => "category_dropdown",
					),
				)
			),
			array(
				"name" => "Recent Posts",
				"value" => "recent_posts",
				"options" => array (
					array(
						"name" => "Count",
						"desc" => "",
						"id" => "count",
						"std" => '4',
						"desc" => "Provide a number between 0 & 20",
						"type" => "text",
						"size" => "small"
					),					
					array(
						"name" => "Category (optional)",
						"id" => "cat",
						"std" => "all",
						"type" => "category_dropdown",
					),
				)
			),
		),
	),
	array(
		"name" => "Images",
		"value" => "images",		
		"options" => array(
			array(
				"name" => "Image Source Url",
				"id" => "src",
				"std" => "",
				"type" => "upload",
			),
			array(
				"name" => "Image Title (optional)",
				"id" => "title",
				"size" => "normal",
				"std" => "",
				"type" => "text",
			),							
			array (
				"name" => "Width (optional)",
				"id" => "width",
				"std" => "",
				"desc" => "Provide a width in px",
				"type" => "text",
				"size" => "small"
			),
			array (
				"name" => "Height (optional)",
				"id" => "height",
				"std" => "",
				"desc" => "Provide a height in px",
				"type" => "text",
				"size" => "small"
			),
			array(
				"name" => "Link (optional)",
				"size" => "large",
				"id" => "link",
				"std" => "",
				"type" => "text",
			),
			array (
				"name" => "Open link in Lightbox?",
				"id" => "lightbox",
				"std" => false,
				"type" => "toggle"
			),	
			array (
				"name" => "Image Box",
				"id" => "box",
				"std" => "",
				"desc" => "Choose a preset image size including border and shadow",
				"type" => "select",
				"size" => "normal",
				"data" => array(
					"" => "None",
					"full-banner" => "Full Width - Banner - 960px wide",
					"full-one-half" => "Full Width - One-half - 458px wide",
					"full-one-third" => "Full Width - One-third - 292px wide",
					"full-one-fourth" => "Full Width - One-fourth - 209px wide",
					"sidebar-banner" => "Sidebar - Banner - 640px wide",
					"sidebar-one-half" => "Sidebar - One-half - 303px wide",
					"sidebar-one-third" => "Sidebar - One-third - 192px wide",
				)
			),
			array (
				"name" => "Align",
				"id" => "align",
				"std" => "left",
				"type" => "select",
				"size" => "small",
				"data" => array(
					"left" => "Left",
					"center" => "Center",
					"right" => "Right",
				)
			),	
		),
	),	
	array(
		"name" => "Video",
		"value" => "video",
		"sub" => "true",
		"options" => array(			
			array(
				"name" => "Flash",
				"value" => "flash",
				"options" => array(
					array(
						"name" => "Src",
						"desc" => 'Specifies the location (URL) of the movie to be loaded',
						"id" => "src",
						"size" => "large",
						"std" => "",
						"type" => "text",
					),
					array(
						"name" => "Id (optional)",
						"id" => "id",
						"std" => "",
						"type" => "text",
						"size" => "normal"
					),
					array (
						"name" => "Width (optional)",
						"id" => "width",
						"std" => "0px",
						"desc" => "Provide a width between 0px & 960px",
						"type" => "text",
						"size" => "small"
					),
					array (
						"name" => "Height (optional)",
						"id" => "height",
						"std" => "0px",
						"desc" => "Provide a height in px",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => "Play",
						"id" => "play",
						"desc" => "Specifies whether the movie begins playing immediately on loading in the browser.",
						"std" => "false",
						"type" => "toggle"
					),
					array(
						"name" => "flashvars (optional)",
						"desc" => "variable to pass to Flash Player.",
						"id" => "flashvars",
						"size" => "large",
						"std" => "",
						"type" => "text"
					),
					array (
						"name" => "Video Box",
						"id" => "box",
						"std" => "",
						"desc" => "Choose a preset video box including shadow",
						"type" => "select",
						"size" => "normal",
						"data" => array(
							"" => "None",
							"full-banner" => "Full Width - Banner - 960px wide",
							"full-one-half" => "Full Width - One-half - 460px wide",
							"full-one-third" => "Full Width - One-third - 294px wide",
							"full-one-fourth" => "Full Width - One-fourth - 211px wide",
							"sidebar-banner" => "Sidebar - Banner - 640px wide",
							"sidebar-one-half" => "Sidebar - One-half - 305px wide",
							"sidebar-one-third" => "Sidebar - One-third - 194px wide",							
						)
					),					
				),
			),
			array(
				"name" => "YouTube",
				"value" => "youtube",
				"options" => array(
					array(
						"name" => "Clip ID",
						"desc" => "the id from the clip's URL after v= (e.g. http://www.youtube.com/watch?v=<span style='color:red'>2DclLrdaxQd</span>)",
						"id" => "clip_id",
						"size" => "normal",
						"std" => "",
						"type" => "text",
					),
					array (
						"name" => "Width (optional)",
						"id" => "width",
						"std" => "0px",
						"desc" => "Provide a width between 0px & 960px",
						"type" => "text",
						"size" => "small"
					),
					array (
						"name" => "Height (optional)",
						"id" => "height",
						"std" => "0px",
						"desc" => "Provide a height in px",
						"type" => "text",
						"size" => "small"
					),
					array (
						"name" => "Video Box",
						"id" => "box",
						"std" => "",
						"desc" => "Choose a preset video box including shadow",
						"type" => "select",
						"size" => "normal",
						"data" => array(
							"" => "None",
							"full-banner" => "Full Width - Banner - 960px wide",
							"full-one-half" => "Full Width - One-half - 460px wide",
							"full-one-third" => "Full Width - One-third - 294px wide",
							"full-one-fourth" => "Full Width - One-fourth - 211px wide",
							"sidebar-banner" => "Sidebar - Banner - 640px wide",
							"sidebar-one-half" => "Sidebar - One-half - 305px wide",
							"sidebar-one-third" => "Sidebar - One-third - 194px wide",							
						)
					),
				),
			),
			array(
				"name" => "Vimeo",
				"value" => "vimeo",
				"options" => array(
					array(
						"name" => "Clip ID",
						"desc" => "the number from the clip's URL (e.g. http://vimeo.com/<span style='color:red'>123456</span>)",
						"id" => "clip_id",
						"size" => "normal",
						"std" => "",
						"type" => "text",
					),
					array (
						"name" => "Width (optional)",
						"id" => "width",
						"std" => "0px",
						"desc" => "Provide a width between 0px & 960px",
						"type" => "text",
						"size" => "small"
					),
					array (
						"name" => "Height (optional)",
						"id" => "height",
						"std" => "0px",
						"desc" => "Provide a height in px",
						"type" => "text",
						"size" => "small"
					),
					array (
						"name" => "Video Box",
						"id" => "box",
						"std" => "",
						"desc" => "Choose a preset video box including shadow",
						"type" => "select",
						"size" => "normal",
						"data" => array(
							"" => "None",
							"full-banner" => "Full Width - Banner - 960px wide",
							"full-one-half" => "Full Width - One-half - 460px wide",
							"full-one-third" => "Full Width - One-third - 294px wide",
							"full-one-fourth" => "Full Width - One-fourth - 211px wide",
							"sidebar-banner" => "Sidebar - Banner - 640px wide",
							"sidebar-one-half" => "Sidebar - One-half - 305px wide",
							"sidebar-one-third" => "Sidebar - One-third - 194px wide",							
						)
					),					
				),
			),
		),
	),
	array(
		"name" => "Slideshow",
		"value" => "slideshow",
		"sub" => "true",
		"options" => array(
			array(
				"name" => "Nivo Slider",
				"value" => "nivo",
				"options" => array(
					array(
						"name" => "Category (optional)",
						"desc" => "Select which slideshow Category to show.",
						"id" => "category",
						"type" => "slideshow_category",
						"std" => "all"
					),
					array(
						"name" => "Width",
						"id" => "width",
						"desc" => "Provide a width between 10px & 960px",
						"std" => "960px",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => "Height",
						"id" => "height",
						"desc" => "Provide a height in px",
						"std" => "300px",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => "Transition Effects",
						"desc" => "Select which effect to use on the slideshow.",
						"id" => "effect",
						"std" => 'random',
						"data" => array(
							"random" => "random",
							"sliceDown" => "sliceDown",
							"sliceDownLeft" => "sliceDownLeft",
							"sliceUp" => "sliceUp",
							"sliceUpLeft" => "sliceUpLeft",
							"sliceUpDown" => "sliceUpDown",
							"sliceUpDownLeft" => "sliceUpDownLeft",
							"fold" => "fold",
							"fade" => "fade",
							"slideInLeft" => "slideInLeft",
							"slideInRight" => "slideInRight"
						),
						"type" => "select",
						"size" => "normal"
					),
					array(
						"name" => "Animation Speed",
						"id" => "animspeed",
						"desc" => "Provide a duration (between 200 & 3000)",					
						"std" => "500",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => "Pause Time",
						"id" => "pausetime",
						"desc" => "The delay which each slide will have to wait to be played (between 1000 & 30000)",					
						"std" => "3000",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => "Control Navigation",
						"desc" => "If you want show Control Navigation on the slidershow, turn on the button.",
						"id" => "controlnav",
						"std" => "true",
						"type" => "toggle"
					),
					array(
						"name" => "Pause On Hover",
						"desc" => "If you want stop animation while hovering, turn on the button.",
						"id" => "pauseonhover",
						"std" => "true",
						"type" => "toggle"
					),
				),
			),
			array(
				"name" => "Anything Slider",
				"value" => "anything",
				"options" => array(
					array(
						"name" => "Category (optional)",
						"desc" => "Select which slideshow Category to show.",
						"id" => "category",
						"type" => "slideshow_category",
						"std" => "all"
					),
					array(
						"name" => "Width",
						"id" => "width",
						"desc" => "Provide a width between 10px & 960px",
						"std" => "960px",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => "Height",
						"id" => "height",
						"desc" => "Provide a height in px",
						"std" => "300px",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => "Transition Effects",
						"desc" => "Select which effect to use on the slideshow.",
						"id" => "effect",
						"std" => 'swing',
						"data" => array(
							"linear" => "linear",
							"swing" => "swing"
						),
						"type" => "select",
						"size" => "normal"
					),
					array(
						"name" => "Animation Speed",
						"id" => "animspeed",
						"desc" => "Provide a duration (between 200 & 3000)",					
						"std" => "500",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => "Pause Time",
						"id" => "pausetime",
						"desc" => "The delay which each slide will have to wait to be played (between 1000 & 30000)",					
						"std" => "3000",
						"type" => "text",
						"size" => "small"
					),
					array(
						"name" => "Control Navigation",
						"desc" => "If you want show Control Navigation on the slidershow, turn on the button.",
						"id" => "controlnav",
						"std" => "true",
						"type" => "toggle"
					),
					array(
						"name" => "Pause On Hover",
						"desc" => "If you want stop animation while hovering, turn on the button.",
						"id" => "pauseonhover",
						"std" => "true",
						"type" => "toggle"
					),
				),
			),			
		),
	),
	array(
		"name" => "Portfolio",
		"value" => "portfolio",
		"options" => array(
			array(
				"name" => "Columns",
				"id" => "column",
				"std" => '4',
				"data" => array(
					"1" => "1 Column",
					"2" => "2 Columns",
					"3" => "3 Columns",
					"4" => "4 Columns",
				),
				"type" => "select",
				"size" => "normal"
			),
			array (
				"name" => "Height (optional)",
				"id" => "height",
				"desc" => "Provide a height of thumbnail in px",
				"std" => "",
				"type" => "text",
				"size" => "small"
			),
			array(
				"name" => "Paging",
				"id" => "paging",
				"desc" => "",
				"std" => "true",
				"type" => "toggle"
			),
			array(
				"name" => "# of items",
				"desc" => "Number of items to show per page (between -1 & 50)",
				"id" => "max",
				"std" => '10',
				"type" => "text",
				"size" => "small"
			),			
			array(
				"name" => "Category (optional)",
				"id" => "category",
				"std" => "all",
				"type" => "portfolio_category",
			),
			array(
				"name" => "Display Title",
				"id" => "title",
				"desc" => "If the option is on, it will display title of portfolio items.",
				"std" => "true",
				"type" => "toggle"
			),
			array(
				"name" => "Display Description",
				"id" => "desc",
				"desc" => "If the option is on, it will display description of portfolio items.",
				"std" => "true",
				"type" => "toggle"
			),
			array(
				"name" => "Group",
				"id" => "group",
				"desc" => "If the option is on, the lightbox will group all displayed items.",
				"std" => "true",
				"type" => "toggle"
			),
			array(
				"name" => "Category Filter",
				"id" => "filter",
				"std" => "false",
				"type" => "toggle",
				"desc" => "If the option is on, it will display a category filter.",
			),
		),
	),
	array(
		"name" => "Gallery",
		"value" => "gallery",
		"options" => array(				
			array(
				"name" => "Category",
				"id" => "cat",
				"std" => "",
				"type" => "gallery_category",
				"desc" => "Select the gallery",
			),	
			array(
				"name" => "Slider",
				"id" => "slider",
				"std" => "piecemaker",
				"type" => "select",
				"desc" => "Select the slider to play the slideshow",
				"data" => array(
					"nivo" => "Nivo",
					"piecemaker" => "3D Rotator",				
				)
			),	
			array(
				"name" => "Height",
				"id" => "height",
				"std" => "400px",
				"type" => "text",
				"desc" => "Provide the height of the slider in px",
				"size" => "small"
			),
			array(
				"name" => "Pause Time",
				"id" => "delay",
				"std" => "5000",
				"type" => "text",
				"desc" => "Provide the pause time in ms",
				"size" => "small"
			),
		),
	),	
	array(
		"name" => "Form Creator",
		"value" => "formcreator",
		"options" => array(
			array(
				"name" => "Name",
				"id" => "name",
				"std" => 'Contact',				
				"type" => "text",
				"size" => "normal"
			),
			array(
				"name" => "Send to",
				"id" => "to",
				"std" => wp_get_current_user()->user_email,				
				"type" => "text",
				"size" => "normal"
			),		
			array(
				"name" => "Anti-spam",
				"id" => "antispam",
				"std" => "true",
				"type" => "toggle",
				"desc" => "If the option is on, it will display an antispam check.",
			),
		),
	),	
	array(
		"name" => "Form Fields",
		"value" => "formfields",
		"sub" => "true",
		"options" => array(
			array(
				"name" => "Text",
				"value" => "text",
				"options" => array(
					array(
						"name" => "Label",
						"desc" => "",
						"id" => "label",
						"type" => "text",
						"std" => "Name",
						"size" => "normal"
					),
					array(
						"name" => "Required",
						"id" => "required",
						"desc" => "",
						"std" => "true",
						"type" => "toggle"
					),
				),
			),
			array(
				"name" => "Email",
				"value" => "email",
				"options" => array(
					array(
						"name" => "Label",
						"desc" => "",
						"id" => "label",
						"type" => "text",
						"std" => "Email",
						"size" => "normal"
					),
					array(
						"name" => "Required",
						"id" => "required",
						"desc" => "",
						"std" => "true",
						"type" => "toggle"
					),
				),
			),
			array(
				"name" => "Textarea",
				"value" => "textarea",
				"options" => array(
					array(
						"name" => "Label",
						"desc" => "",
						"id" => "label",
						"type" => "text",
						"std" => "Comments",
						"size" => "normal"
					),
					array(
						"name" => "Required",
						"id" => "required",
						"desc" => "",
						"std" => "true",
						"type" => "toggle"
					),
				),
			),
			array(
				"name" => "Select",
				"value" => "select",
				"options" => array(
					array(
						"name" => "Label",
						"desc" => "",
						"id" => "label",
						"type" => "text",
						"std" => "Choose",
						"size" => "normal"
					),
					array(
						"name" => "Required",
						"id" => "required",
						"desc" => "",
						"std" => "true",
						"type" => "toggle"
					),
					array(
						"name" => "Options",
						"id" => "options",
						"desc" => "",
						"std" => "Option1, Option2, Option3",
						"type" => "textarea"
					),
				),
			),		
			array(
				"name" => "Radio",
				"value" => "radio",
				"options" => array(
					array(
						"name" => "Label",
						"desc" => "",
						"id" => "label",
						"type" => "text",
						"std" => "Choose",
						"size" => "normal"
					),
					array(
						"name" => "Required",
						"id" => "required",
						"desc" => "",
						"std" => "true",
						"type" => "toggle"
					),
					array(
						"name" => "Options",
						"id" => "options",
						"desc" => "",
						"std" => "Option1, Option2, Option3",
						"type" => "textarea"
					),
				),
			),	
			array(
				"name" => "Checkbox",
				"value" => "checkbox",
				"options" => array(
					array(
						"name" => "Label",
						"desc" => "",
						"id" => "label",
						"type" => "text",
						"std" => "Check",
						"size" => "normal"
					),
					array(
						"name" => "Required",
						"id" => "required",
						"desc" => "",
						"std" => "",
						"type" => "toggle"
					),
				),
			),			
		),
	),	
);

?>