var shortcode = {

	init:function(){
		jQuery('select.option_selector').val('');
		jQuery('select.option_selector').change(function(){
			
			jQuery(".shortcode_wrap").hide();
			if(this.value !=''){
				var wrap = jQuery("#shortcode_"+this.value).show();

			}
			
		});
		
		jQuery('#shortcode_send').click(function(){
			shortcode.sendToEditor();
		});
		jQuery('select.option_sub_selector').val('');
		jQuery('select.option_sub_selector').change(function(){
			jQuery(this).closest('.shortcode_wrap').children('.sub_shortcode_wrap').hide();
			if(this.value !=''){
				sub = jQuery("#sub_shortcode_"+this.value).show();

			}
			
		});
	
	},
	
	generate:function(){
		var type = jQuery('select.option_selector').val();
		switch( type ){		
		case 'layouts':
			var sub_type = shortcode.getVal('layouts','selector');
			var divider = shortcode.getVal('layouts', sub_type, 'divider');
			if(divider===true){
				divider = ' divider="true"';
			}else{
				divider = '';
			}
			switch(sub_type){
			case 'one_half_layout':
				return '<br />[one_half'+divider+']<br />'+shortcode.getVal('layouts', 'one_half_layout', '1')+'<br />[/one_half]<br />[one_half_last]<br />'+shortcode.getVal('layouts', 'one_half_layout', '2')+'<br />[/one_half_last]<br />';
				break;
			case 'one_third_layout':
				return '<br />[one_third'+divider+']<br />'+shortcode.getVal('layouts', 'one_third_layout', '1')+'<br />[/one_third]<br />[one_third'+divider+']<br />'+shortcode.getVal('layouts', 'one_third_layout', '2')+'<br />[/one_third]<br />[one_third_last]<br />'+shortcode.getVal('layouts', 'one_third_layout', '3')+'<br />[/one_third_last]<br />';
				break;
			case 'one_fourth_layout':
				return '<br />[one_fourth'+divider+']<br />'+shortcode.getVal('layouts', 'one_fourth_layout', '1')+'<br />[/one_fourth]<br />[one_fourth'+divider+']<br />'+shortcode.getVal('layouts', 'one_fourth_layout', '2')+'<br />[/one_fourth]<br />[one_fourth'+divider+']<br />'+shortcode.getVal('layouts', 'one_fourth_layout', '3')+'<br />[/one_fourth]<br />[one_fourth_last]<br />'+shortcode.getVal('layouts', 'one_fourth_layout', '4')+'<br />[/one_fourth_last]<br />';
				break;
			case 'one_fifth_layout':
				return '<br />[one_fifth'+divider+']<br />'+shortcode.getVal('layouts', 'one_fifth_layout', '1')+'<br />[/one_fifth]<br />[one_fifth'+divider+']<br />'+shortcode.getVal('layouts', 'one_fifth_layout', '2')+'<br />[/one_fifth]<br />[one_fifth'+divider+']<br />'+shortcode.getVal('layouts', 'one_fifth_layout', '3')+'<br />[/one_fifth]<br />[one_fifth'+divider+']<br />'+shortcode.getVal('layouts', 'one_fifth_layout', '4')+'<br />[/one_fifth]<br />[one_fifth_last]<br />'+shortcode.getVal('layouts', 'one_fifth_layout', '5')+'<br />[/one_fifth_last]<br />';
				break;
			case 'one_sixth_layout':
				return '<br />[one_sixth'+divider+']<br />'+shortcode.getVal('layouts', 'one_sixth_layout', '1')+'<br />[/one_sixth]<br />[one_sixth'+divider+']<br />'+shortcode.getVal('layouts', 'one_sixth_layout', '2')+'<br />[/one_sixth]<br />[one_sixth'+divider+']<br />'+shortcode.getVal('layouts', 'one_sixth_layout', '3')+'<br />[/one_sixth]<br />[one_sixth'+divider+']<br />'+shortcode.getVal('layouts', 'one_sixth_layout', '4')+'<br />[/one_sixth]<br />[one_sixth'+divider+']<br />'+shortcode.getVal('layouts', 'one_sixth_layout', '5')+'<br />[/one_sixth]<br />[one_sixth_last]<br />'+shortcode.getVal('layouts', 'one_sixth_layout', '6')+'<br />[/one_sixth_last]<br />';
				break;
			case 'one_third_two_third':
				return '<br />[one_third'+divider+']<br />'+shortcode.getVal('layouts', 'one_third_two_third', '1')+'<br />[/one_third]<br />[two_third_last]<br />'+shortcode.getVal('layouts', 'one_third_two_third', '2')+'<br />[/two_third_last]<br />';
				break;
			case 'two_third_one_third':
				return '<br />[two_third'+divider+']<br />'+shortcode.getVal('layouts', 'two_third_one_third', '1')+'<br />[/two_third]<br />[one_third_last]<br />'+shortcode.getVal('layouts', 'two_third_one_third', '2')+'<br />[/one_third_last]<br />';
				break;
			case 'one_fourth_three_fourth':
				return '<br />[one_fourth'+divider+']<br />'+shortcode.getVal('layouts', 'one_fourth_three_fourth', '1')+'<br />[/one_fourth]<br />[three_fourth_last]<br />'+shortcode.getVal('layouts', 'one_fourth_three_fourth', '2')+'<br />[/three_fourth_last]<br />';
				break;
			case 'three_fourth_one_fourth':
				return '<br />[three_fourth'+divider+']<br />'+shortcode.getVal('layouts', 'three_fourth_one_fourth', '1')+'<br />[/three_fourth]<br />[one_fourth_last]<br />'+shortcode.getVal('layouts', 'three_fourth_one_fourth', '2')+'<br />[/one_fourth_last]<br />';
				break;
			case 'one_fourth_one_fourth_one_half':
				return '<br />[one_fourth'+divider+']<br />'+shortcode.getVal('layouts', 'one_fourth_one_fourth_one_half', '1')+'<br />[/one_fourth]<br />[one_fourth'+divider+']<br />'+shortcode.getVal('layouts', 'one_fourth_one_fourth_one_half', '2')+'<br />[/one_fourth]<br />[one_half_last]<br />'+shortcode.getVal('layouts', 'one_fourth_one_fourth_one_half', '3')+'<br />[/one_half_last]<br />';
				break;
			case 'one_fourth_one_half_one_fourth':
				return '<br />[one_fourth'+divider+']<br />'+shortcode.getVal('layouts', 'one_fourth_one_half_one_fourth', '1')+'<br />[/one_fourth]<br />[one_half'+divider+']<br />'+shortcode.getVal('layouts', 'one_fourth_one_half_one_fourth', '2')+'<br />[/one_half]<br />[one_fourth_last]<br />'+shortcode.getVal('layouts', 'one_fourth_one_half_one_fourth', '3')+'<br />[/one_fourth_last]<br />';
				break;
			case 'one_half_one_fourth_one_fourth':
				return '<br />[one_half'+divider+']<br />'+shortcode.getVal('layouts', 'one_half_one_fourth_one_fourth', '1')+'<br />[/one_half]<br />[one_fourth'+divider+']<br />'+shortcode.getVal('layouts', 'one_half_one_fourth_one_fourth', '2')+'<br />[/one_fourth]<br />[one_fourth_last]<br />'+shortcode.getVal('layouts', 'one_half_one_fourth_one_fourth', '3')+'<br />[/one_fourth_last]<br />';
				break;
			case 'four_fifth_one_fifth':
				return '<br />[four_fifth'+divider+']<br />'+shortcode.getVal('layouts', 'four_fifth_one_fifth', '1')+'<br />[/four_fifth]<br />[one_fifth_last]<br />'+shortcode.getVal('layouts', 'four_fifth_one_fifth', '2')+'<br />[/one_fifth_last]<br />';
				break;
			case 'one_fifth_four_fifth':
				return '<br />[one_fifth'+divider+']<br />'+shortcode.getVal('layouts', 'one_fifth_four_fifth', '1')+'<br />[/one_fifth]<br />[four_fifth_last]<br />'+shortcode.getVal('layouts', 'one_fifth_four_fifth', '2')+'<br />[/four_fifth_last]<br />';
				break;
			case 'two_fifth_three_fifth':
				return '<br />[two_fifth'+divider+']<br />'+shortcode.getVal('layouts', 'two_fifth_three_fifth', '1')+'<br />[/two_fifth]<br />[three_fifth_last]<br />'+shortcode.getVal('layouts', 'two_fifth_three_fifth', '2')+'<br />[/three_fifth_last]<br />';
				break;
			case 'three_fifth_two_fifth':
				return '<br />[three_fifth'+divider+']<br />'+shortcode.getVal('layouts', 'three_fifth_two_fifth', '1')+'<br />[/three_fifth]<br />[two_fifth_last]<br />'+shortcode.getVal('layouts', 'three_fifth_two_fifth', '2')+'<br />[/two_fifth_last]<br />';
				break;
			case 'one_sixth_five_sixth':
				return '<br />[one_sixth'+divider+']<br />'+shortcode.getVal('layouts', 'one_sixth_five_sixth', '1')+'<br />[/one_sixth]<br />[five_sixth_last]<br />'+shortcode.getVal('layouts', 'one_sixth_five_sixth', '2')+'<br />[/five_sixth_last]<br />';
				break;
			case 'five_sixth_one_sixth':
				return '<br />[five_sixth'+divider+']<br />'+shortcode.getVal('layouts', 'five_sixth_one_sixth', '1')+'<br />[/five_sixth]<br />[one_sixth_last]<br />'+shortcode.getVal('layouts', 'five_sixth_one_sixth', '2')+'<br />[/one_sixth_last]<br />';
				break;
			case 'one_sixth_one_sixth_one_sixth_one_half':
				return '<br />[one_sixth'+divider+']<br />'+shortcode.getVal('layouts', 'one_sixth_one_sixth_one_sixth_one_half', '1')+'<br />[/one_sixth]<br />[one_sixth'+divider+']<br />'+shortcode.getVal('layouts', 'one_sixth_one_sixth_one_sixth_one_half', '2')+'<br />[/one_sixth]<br />[one_sixth'+divider+']<br />'+shortcode.getVal('layouts', 'one_sixth_one_sixth_one_sixth_one_half', '3')+'<br />[/one_sixth]<br />[one_half_last]<br />'+shortcode.getVal('layouts', 'one_sixth_one_sixth_one_sixth_one_half', '4')+'<br />[/one_half_last]<br />';
				break;
			}
			break;
		case 'html':
			var sub_type = shortcode.getVal('html','selector');
			switch(sub_type){
			case 'content':
				var size = shortcode.getVal('html','content','size');
				if(size !== ''){
					size= ' size="'+size+'"';
				}				
				return '<br />[content'+size+']<br />'+shortcode.getVal('html','content','content')+'<br />[/content]<br />';
				break;
			case 'header':
				var size = shortcode.getVal('html','header','size');
				var description = shortcode.getVal('html','header','description');
				var src = shortcode.getVal('html','header','src');
				if(size !== ''){
					size= ' size="'+size+'"';
				}
				if(description !== ''){
					description= ' description="'+description+'"';
				}				
				if(src !== ''){
					src= ' src="'+src+'"';
				}				
				return '<br />[header'+size+description+src+']'+shortcode.getVal('html','header','title')+'[/header]<br />';
				break;				
			case 'link':
				var text = shortcode.getVal('html','link','text');
				var target = shortcode.getVal('html','link','target');
				var url = shortcode.getVal('html','link','url');
				
				if(text !== ''){
					text = ' text="'+text+'"';
				}else{
					text = '';
				}	
				if(target !== ''){
					target = ' target="'+target+'"';
				}else{
					target = '';
				}	
				if(url !== ''){
					url = ' url="'+url+'"';
				}else{
					url = '';
				}				
				return '<br />[link'+text+target+url+']<br />';
				break;
			case 'list':
				var style = shortcode.getVal('html','list','style');
				if(style !== ''){
					style= ' style="'+style+'"';
				}
				var floattype = shortcode.getVal('html','list','float');
				if(floattype !== ''){
					floattype= ' float="'+floattype+'"';
				}
				return '<br />[list'+style+floattype+']<br />'+shortcode.getVal('html','list','content')+'<br />[/list]<br />';
				break;				
			case 'divider':
				return '<br />['+shortcode.getVal('html','divider','type')+']<br />';
				break;	
			case 'iframe':
				var src = shortcode.getVal('html','iframe','src');
				var width = shortcode.getVal('html','iframe','width');
				var height = shortcode.getVal('html','iframe','height');
				
				if(src!= ''){
					src = ' src="'+src+'"';
				}
				if(width!= ''){
					width = ' width="'+width+'"';
				}
				if(height!= ''){
					height = ' height="'+height+'"';
				}
				return '[iframe'+src+width+height+']';
				break;				
			}
			break;				
		case 'boxes':
			var sub_type = shortcode.getVal('boxes','selector');
			switch(sub_type){							
			case 'blockquote':
				var cite = shortcode.getVal('boxes','blockquote','cite');
				if(cite !== ''){
					cite = ' cite="'+cite+'"';
				}
				return '[blockquote'+cite+']'+ shortcode.getVal('boxes','blockquote','content') +'[/blockquote]<br />';
				break;
			case 'messageboxes':
				var t = shortcode.getVal('boxes','messageboxes','type');
				if(t == ''){
					t='info';
				}
				return '<br />['+t+']<br />'+shortcode.getVal('boxes','messageboxes','content')+'<br />[/'+t+']<br />';
			case 'framed_box':
				var width = shortcode.getVal('boxes','framed_box','width');
				var height = shortcode.getVal('boxes','framed_box','height');
				var bgColor = shortcode.getVal('boxes','framed_box','bgColor');
				var textColor = shortcode.getVal('boxes','framed_box','textColor');
				var rounded = shortcode.getVal('boxes','framed_box','rounded');

				if(width!=0){
					width = ' width="'+width+'"';
				}else{
					width ='';
				}

				if(height!=0){
					height = ' height="'+height+'"';
				}else{
					height ='';
				}

				if(bgColor != ''){
					bgColor = ' bgColor="'+ bgColor +'"';
				}
				if(textColor != ''){
					textColor = ' textColor="'+ textColor +'"';
				}

				if(rounded===true){
					rounded = ' rounded="true"';
				}else{
					rounded = '';
				}
				return '<br />[framed_box'+width+height+bgColor+textColor+rounded+']<br />'+shortcode.getVal('boxes','framed_box','content')+'<br />[/framed_box]<br />';
			case 'note_box':
				var title = shortcode.getVal('boxes','note_box','title');
				var width = shortcode.getVal('boxes','note_box','width');

				if(title != ''){
					title = ' title="'+title+'"';
				}
				if(width!=0){
					width = ' width="'+width+'"';
				}else{
					width ='';
				}
				return '<br />[note'+title+width+']<br />'+shortcode.getVal('boxes','note_box','content')+'<br />[/note]<br />';
			}
			break;		
		case 'buttons':
			var id = shortcode.getVal('buttons','id');
			var c = shortcode.getVal('buttons','class');
			var size = shortcode.getVal('buttons','size');
			var full = shortcode.getVal('buttons','full');
			var link = shortcode.getVal('buttons','link');
			var color = shortcode.getVal('buttons','color');
			var text = shortcode.getVal('buttons','text');			
			var width = shortcode.getVal('buttons','width');
			var lightbox = shortcode.getVal('buttons','lightbox');
			if(id != ''){
				id = ' id="'+ id +'"';
			}
			if(c != ''){
				c = ' class="'+ c +'"';
			}
			if(size!=''){
				size =' size="'+size+'"';
			}
			if(full===true){
				full = ' full="true"';
			}else{
				full = '';
			}
			if(link!= ''){
				link = ' link="'+link+'"';
			}
			if(color!=''){
				color = ' color="'+color+'"';
			}			
			if(width!=0){
				width = ' width="'+width+'"';
			}else{
				width ='';
			}
			if(lightbox===true){
				lightbox = ' lightbox="true"';
			}else{
				lightbox = '';
			}
			return '[button'+id+c+size+full+link+lightbox+color+width+']'+text+'[/button]';
			break;
		case 'uicontrols':
			var sub_type = shortcode.getVal('uicontrols','selector');
			switch(sub_type){	
			case 'tabs':
				var number = shortcode.getVal('uicontrols','tabs','number');
				
				var ret = '<br />[tabs]<br />';
				for(var i=1;i<=number;i++){
					ret +='[tab title="'+shortcode.getVal('uicontrols','tabs','title_'+i)+'"]<br />'+shortcode.getVal('uicontrols','tabs','content_'+i)+'<br />[/tab]<br />';
				}
				ret +='[/tabs]<br />';
				return ret;
				break;
			case 'accordion':
				var number = shortcode.getVal('uicontrols','accordion','number');
				var ret = '<br />[accordions]<br />';
				for(var i=1;i<=number;i++){
					ret +='[accordion title="'+shortcode.getVal('uicontrols','accordion','title_'+i)+'"]<br />'+shortcode.getVal('uicontrols','accordion','content_'+i)+'<br />[/accordion]<br />';
				}
				ret +='[/accordions]<br />';
				return ret;
				break;
			case 'toggle':
				return '<br />[toggle title="'+shortcode.getVal('uicontrols','toggle','title')+'"]<br />'+shortcode.getVal('uicontrols','toggle','content')+'<br />[/toggle]<br />';
				break;	
			}
			break;		
		case 'images':			
			var src = shortcode.getVal('images','src');
			var title = shortcode.getVal('images','title');
			var lightbox = shortcode.getVal('images','lightbox');
			var width = shortcode.getVal('images','width');
			var height = shortcode.getVal('images','height');
			var link = shortcode.getVal('images','link');
			var align = shortcode.getVal('images','align');
			var box = shortcode.getVal('images','box');
						
			if(lightbox===true){
				lightbox = ' lightbox="true"';
			}else{
				lightbox = '';
			}
			if(link!= ''){
				link = ' link="'+link+'"';
			}
			if(width!=0){
				width = ' width="'+width+'"';
			}else{
				width ='';
			}
			if(height!=0){
				height = ' height="'+height+'"';
			}else{
				height ='';
			}
			if(align!=''){
				align = ' align="'+align+'"';
			}else{
				align ='';
			}
			if(title!=''){
				title = ' title="'+title+'"';
			}
			if(box!=''){
				box = ' box="'+box+'"';
			}else{
				box ='';
			}			
			return '<br />[image'+title+link+lightbox+width+height+box+align+']'+src+'[/image]<br />';
			break;				
		case 'social':
			var sub_type = shortcode.getVal('social','selector');
			switch(sub_type){
			case 'share':
				var type = shortcode.getVal('social','share','type');
				
				if(type !="" ){
					type = ' type="'+type+'"';
				}						
				return '<br />[share'+type+']<br />';
				break;	
			case 'twitter':
				var username = shortcode.getVal('social','twitter','username');
				var count = shortcode.getVal('social','twitter','count');
				
				if(username !="" ){
					username = ' username="'+username+'"';
				}
				if(count !="" ){
					count = ' count="'+count+'"';
				}				
				return '<br />[twitter'+username+count+']<br />';
				break;	
			case 'videos':
				var id = shortcode.getVal('social','videos','id');
				var count = shortcode.getVal('social','videos','count');
				var type = shortcode.getVal('social','videos','type');
				var size = shortcode.getVal('social','videos','size');
				var title = shortcode.getVal('social','videos','title');
				var views = shortcode.getVal('social','videos','views');
				var author = shortcode.getVal('social','videos','author');
				var date = shortcode.getVal('social','videos','date');

				if(id !="" ){
					id = ' id="'+id+'"';
				}
				if(count !="" ){
					count = ' count="'+count+'"';
				}		
				if(type !="" ){
					type = ' type="'+type+'"';
				}	
				if(size !="" ){
					size = ' size="'+size+'"';
				}		
				if(title===true){
					title = ' title="true"';
				}else{
					title = '';
				}
				if(views===true){
					views = ' views="true"';
				}else{
					views = '';
				}
				if(author===true){
					author = ' author="true"';
				}else{
					author = '';
				}
				if(date===true){
					date = ' date="true"';
				}else{
					date = '';
				}
				return '<br />[videos'+type+id+count+size+title+author+views+date+']<br />';
				break;		
			case 'channelit':
				var id = shortcode.getVal('social','channelit','id');
				var count = shortcode.getVal('social','channelit','count');
				var type = shortcode.getVal('social','channelit','type');
				var playlist = shortcode.getVal('social','channelit','playlist');
				if(id !="" ){
					id = ' id="'+id+'"';
				}
				if(count !="" ){
					count = ' count="'+count+'"';
				}		
				if(type !="" ){
					type = ' type="'+type+'"';
				}
				if(playlist !="" ){
					playlist = ' playlist="'+playlist+'"';
				}		
				return '<br />[channelit'+type+id+count+playlist+']<br />';
				break;
			case 'fbcomments':
				var width = shortcode.getVal('social','fbcomments','width');
				var count = shortcode.getVal('social','fbcomments','count');
				
				if(width !="" ){
					width = ' width="'+width+'"';
				}
				if(count !="" ){
					count = ' count="'+count+'"';
				}				
				return '<br />[fbcomments'+width+count+']<br />';
				break;	
			case 'fbbox':
				var url = shortcode.getVal('social','fbbox','url');			
				var width = shortcode.getVal('social','fbbox','width');
				var faces = shortcode.getVal('social','fbbox','faces');			
				var stream = shortcode.getVal('social','fbbox','stream');
				
				if(url !="" ){
					url = ' url="'+url+'"';
				}else{
					url = '';
				}
				if(width !="" ){
					width = ' width="'+width+'"';
				}
				if(faces===true){
					faces = ' faces="true"';
				}else{
					faces = ' faces="false"';
				}
				if(stream===true){
					stream = ' stream="true"';
				}else{
					stream = ' stream="false"';
				}					
				return '<br />[fbbox'+url+width+faces+stream+']<br />';
				break;
			case 'gmaps':
				var width = shortcode.getVal('social','gmaps','width');
				var height = shortcode.getVal('social','gmaps','height');
				var latitude = shortcode.getVal('social','gmaps','lat');
				var longitude = shortcode.getVal('social','gmaps','long');
				var address = shortcode.getVal('social','gmaps','address');
				
				if(width !="" ){
					width = ' width="'+width+'"';
				}else{
					width = '';
				}
				if(height !="" ){
					height = ' height="'+height+'"';
				}else{
					height = '';
				}
				if(latitude !="" ){
					latitude = ' lat="'+latitude+'"';
				}else{
					latitude = '';
				}	
				if(longitude !="" ){
					longitude = ' long="'+longitude+'"';
				}else{
					longitude = '';
				}	
				if(address !="" ){
					address = ' address="'+address+'"';
				}else{
					address = '';
				}
				return '<br />[gmaps'+width+height+latitude+longitude+address+']<br />';
				break;	
			case 'flickr':
				var id = shortcode.getVal('social','flickr','id');
				var count = shortcode.getVal('social','flickr','count');
				var display = shortcode.getVal('social','flickr','display');
				var size = shortcode.getVal('social','flickr','size');
				
				if(id !="" ){
					id = ' id="'+id+'"';
				}else{
					id = '';
				}
				if(count !="" ){
					count = ' count="'+count+'"';
				}else{
					count = '';
				}
				if(display !="" ){
					display = ' display="'+display+'"';
				}else{
					display = '';
				}	
				if(size !="" ){
					size = ' size="'+size+'"';
				}else{
					size = '';
				}	
				
				return '<br />[flickr'+id+count+display+size+']<br />';
				break;	
			}
			break;
		case 'blog':
			var sub_type = shortcode.getVal('blog','selector');
			switch(sub_type){	
			case 'popular_posts':
				var count = shortcode.getVal('blog','popular_posts','count');
				var cat = shortcode.getVal('blog','popular_posts','cat');				
				if(count !="" ){
					count = ' count="'+count+'"';
				}				
				if(cat!=undefined){
					cat = ' cat="'+cat+'"';
				}else{
					cat = '';
				}
				return '<br />[popular_posts'+count+cat+']<br />';
				break;
			case 'recent_posts':
				var count = shortcode.getVal('blog','recent_posts','count');				
				var cat = shortcode.getVal('blog','recent_posts','cat');
				if(count !="" ){
					count = ' count="'+count+'"';
				}			
				if(cat!=undefined){
					cat = ' cat="'+cat+'"';
				}else{
					cat = '';
				}
				return '<br />[recent_posts'+count+cat+']<br />';
				break;
			}
			break;
		case 'slideshow':
			var sub_type = shortcode.getVal('slideshow','selector');
			switch(sub_type){
				case 'nivo':
					var category = shortcode.getVal('slideshow','nivo','category');
					var width = shortcode.getVal('slideshow','nivo','width');
					var height = shortcode.getVal('slideshow','nivo','height');
					var effect = shortcode.getVal('slideshow','nivo','effect');
					var animspeed = shortcode.getVal('slideshow','nivo','animspeed');
					var pausetime = shortcode.getVal('slideshow','nivo','pausetime');
					var controlnav = shortcode.getVal('slideshow','nivo','controlnav');
					var pauseonhover = shortcode.getVal('slideshow','nivo','pauseonhover');
					
					if(category!=''){
						category = ' category="'+category+'"';
					}else{
						category = '';
					}
					if(width!=0){
						width = ' width="'+width+'"';
					}else{
						width ='';
					}
					if(height!=0){
						height = ' height="'+height+'"';
					}else{
						height ='';
					}					
					if(effect !=""){
						effect = ' effect="'+effect+'"';
					}
					if(animspeed!=''){
						animspeed =' animspeed="'+animspeed+'"';
					}
					if(pausetime!=''){
						pausetime =' pausetime="'+pausetime+'"';
					}
					if(controlnav===true){
						controlnav = ' controlnav="true"';
					}else{
						controlnav = ' controlnav="false"';
					}
					if(pauseonhover===true){
						pauseonhover = ' pauseonhover="true"';
					}else{
						pauseonhover = ' pauseonhover="false"';
					}

					return '[slideshow type="nivo"'+category+width+height+effect+animspeed+pausetime+controlnav+pauseonhover+']';					
					break;
				case 'anything':
					var category = shortcode.getVal('slideshow','anything','category');
					var width = shortcode.getVal('slideshow','anything','width');
					var height = shortcode.getVal('slideshow','anything','height');
					var effect = shortcode.getVal('slideshow','anything','effect');
					var animspeed = shortcode.getVal('slideshow','anything','animspeed');
					var pausetime = shortcode.getVal('slideshow','anything','pausetime');
					var controlnav = shortcode.getVal('slideshow','anything','controlnav');
					var pauseonhover = shortcode.getVal('slideshow','anything','pauseonhover');
					
					if(category!=''){
						category = ' category="'+category+'"';
					}else{
						category = '';
					}
					if(width!=0){
						width = ' width="'+width+'"';
					}else{
						width ='';
					}
					if(height!=0){
						height = ' height="'+height+'"';
					}else{
						height ='';
					}					
					if(effect !=""){
						effect = ' effect="'+effect+'"';
					}
					if(animspeed!=''){
						animspeed =' animspeed="'+animspeed+'"';
					}
					if(pausetime!=''){
						pausetime =' pausetime="'+pausetime+'"';
					}
					if(controlnav===true){
						controlnav = ' controlnav="true"';
					}else{
						controlnav = ' controlnav="false"';
					}
					if(pauseonhover===true){
						pauseonhover = ' pauseonhover="true"';
					}else{
						pauseonhover = ' pauseonhover="false"';
					}

					return '[slideshow type="anything"'+category+width+height+effect+animspeed+pausetime+controlnav+pauseonhover+']';					
					break;					
			};
			break;
		case 'video':
			var sub_type = shortcode.getVal('video','selector');
			switch(sub_type){				
				case 'flash':
					var id = shortcode.getVal('video','flash','id');
					var src = shortcode.getVal('video','flash','src');
					var width = shortcode.getVal('video','flash','width');
					var height = shortcode.getVal('video','flash','height');
					var play = shortcode.getVal('video','flash','play');
					var flashvars = shortcode.getVal('video','flash','flashvars');
					var box = shortcode.getVal('video','flash','box');
					
					if(id !=""){
						id = ' id="'+id+'"';
					}
					if(src !=""){
						src = ' src="'+src+'"';
					}
					if(width!=0){
						width = ' width="'+width+'"';
					}else{
						width ='';
					}
					if(height!=0){
						height = ' height="'+height+'"';
					}else{
						height ='';
					}
					if(play===true){
						play = ' play="true"';
					}else{
						play = '';
					}
					if(flashvars !=""){
						flashvars = ' flashvars="'+flashvars+'"';
					}
					if(box!=''){
						box = ' box="'+box+'"';
					}else{
						box ='';
					}
					
					return '<br />[video type="flash"'+src+id+width+height+play+flashvars+box+']<br />';
					break;
				case 'youtube':
					var clip_id = shortcode.getVal('video','youtube','clip_id');
					var width = shortcode.getVal('video','youtube','width');
					var height = shortcode.getVal('video','youtube','height');
					var box = shortcode.getVal('video','youtube','box');

					if(clip_id !=""){
						clip_id = ' clip_id="'+clip_id+'"';
					}
					if(width!=0){
						width = ' width="'+width+'"';
					}else{
						width ='';
					}
					if(height!=0){
						height = ' height="'+height+'"';
					}else{
						height ='';
					}
					if(box!=''){
						box = ' box="'+box+'"';
					}else{
						box ='';
					}
								
					return '<br />[video type="youtube"'+clip_id+width+height+box+']<br />';
					break;
				case 'vimeo':
					var clip_id = shortcode.getVal('video','vimeo','clip_id');
					var width = shortcode.getVal('video','vimeo','width');
					var height = shortcode.getVal('video','vimeo','height');
					var box = shortcode.getVal('video','vimeo','box');
					
					if(clip_id !=""){
						clip_id = ' clip_id="'+clip_id+'"';
					}
					if(width!=0){
						width = ' width="'+width+'"';
					}else{
						width ='';
					}
					if(height!=0){
						height = ' height="'+height+'"';
					}else{
						height ='';
					}
					if(box!=''){
						box = ' box="'+box+'"';
					}else{
						box ='';
					}
					
					return '<br />[video type="vimeo"'+clip_id+width+height+box+']<br />';
					break;				
			};
			break;		
		case 'portfolio':
			var column = shortcode.getVal('portfolio','column');
			var height = shortcode.getVal('portfolio','height');
			var paging = shortcode.getVal('portfolio','paging');
			var max = shortcode.getVal('portfolio','max');
			var filter = shortcode.getVal('portfolio','filter');
			var category = shortcode.getVal('portfolio','category');
			var title = shortcode.getVal('portfolio','title');
			var desc = shortcode.getVal('portfolio','desc');
			var group = shortcode.getVal('portfolio','group');
						
			if(column !=""){
				column = ' column="'+column+'"';
			}else{
				column = '';
			}
			if(height!=0){
				height = ' height="'+height+'"';
			}else{
				height ='';
			}
			if(filter===true){
				filter = ' filter="true"';
			} else {
				filter = '';
			}
			if(paging===true){
				paging = ' paging="true"';
			}else{
				paging = '';
			}
			if(max!='-1' && max!='0'){
				max = ' max="'+max+'"';
			}else{
				max = '';
			}
			if(category!=undefined){
				category = ' category="'+category+'"';
			}else{
				category = '';
			}
			if(title===true){
				title = ' title="true"';
			} else {
				title = '';
			}
			if(desc===true){
				desc = ' desc="true"';
			} else {
				desc = '';
			}			
			if(group===true){
				group = ' group="true"';
			}else{
				group = '';
			}

			return '<br />[portfolio'+column+height+paging+filter+max+category+title+desc+group+']<br />';
			break;
		case 'gallery':
			var cat = shortcode.getVal('gallery','cat');
			var slider = shortcode.getVal('gallery','slider');
			var height = shortcode.getVal('gallery','height');
			var delay = shortcode.getVal('gallery','delay');
			
			if(cat !=""){
				cat = ' category="'+cat+'"';
			}else{
				cat = '';
			}			
			if(slider !=""){
				slider = ' slider="'+slider+'"';
			}else{
				slider = '';
			}
			if(height !=""){
				height = ' height="'+height+'"';
			}else{
				height = '';
			}
			if(delay !=""){
				delay = ' delay="'+delay+'"';
			}else{
				delay = '';
			}
			
			return '<br />[portfolio_gallery'+cat+slider+height+delay+']<br />';
			break;			
		case 'formcreator':
			var name = shortcode.getVal('formcreator','name');
			var to = shortcode.getVal('formcreator','to');		
			var antispam = shortcode.getVal('formcreator','antispam');	
			
			if(name!=""){
				name = ' subject="'+name+'"';
			} else {
				name = '';
			}			
			if(to!=""){
				to = ' to="'+to+'"';
			} else {
				to = '';
			}
			if(antispam===true){
				antispam = ' antispam="true"';
			} else {
				antispam = ' antispam="false"';
			}

			return '[raw][contact-form'+name+to+antispam+']<br />[contact-field type="name" label="Name" required="true" /]<br />[contact-field type="email" label="Email" required="true" /]<br />[contact-field type="url" label="Website" /]<br />[contact-field type="textarea" label="Comments" required="true" /]<br />[/contact-form][/raw]<br />';
			break;	
		case 'formfields':
			var sub_type = shortcode.getVal('formfields','selector');
			switch(sub_type){				
				case 'text':
					var label = shortcode.getVal('formfields','text','label');
					var required = shortcode.getVal('formfields','text','required');					
					
					if(required===true){
						required = ' required="true"';
					} else {
						required = '';
					}
					if(label !=""){
						label = ' label="'+label+'"';
					} else {
						label = '';
					}
					
					return '<br />[contact-field type="text"'+label+required+']';
					break;
				case 'email':
					var label = shortcode.getVal('formfields','email','label');
					var required = shortcode.getVal('formfields','email','required');					
					
					if(required===true){
						required = ' required="true"';
					} else {
						required = '';
					}
					if(label !=""){
						label = ' label="'+label+'"';
					} else {
						label = '';
					}
					
					return '<br />[contact-field type="email"'+label+required+']';
					break;
				case 'textarea':
					var label = shortcode.getVal('formfields','textarea','label');
					var required = shortcode.getVal('formfields','textarea','required');					
					
					if(required===true){
						required = ' required="true"';
					} else {
						required = '';
					}
					if(label !=""){
						label = ' label="'+label+'"';
					} else {
						label = '';
					}
					
					return '<br />[contact-field type="textarea"'+label+required+']';
				case 'select':
					var label = shortcode.getVal('formfields','select','label');
					var required = shortcode.getVal('formfields','select','required');	
					var options = shortcode.getVal('formfields','select','options')		
					
					if(required===true){
						required = ' required="true"';
					} else {
						required = '';
					}
					if(label !=""){
						label = ' label="'+label+'"';
					} else {
						label = '';
					}
					if(options !=""){
						options = ' options="'+options+'"';
					} else {
						options = '';
					}
					
					return '<br />[contact-field type="select"'+label+required+options+']';					
					break;
				case 'radio':
					var label = shortcode.getVal('formfields','radio','label');
					var required = shortcode.getVal('formfields','radio','required');	
					var options = shortcode.getVal('formfields','radio','options')		
					
					if(required===true){
						required = ' required="true"';
					} else {
						required = '';
					}
					if(label !=""){
						label = ' label="'+label+'"';
					} else {
						label = '';
					}
					if(options !=""){
						options = ' options="'+options+'"';
					} else {
						options = '';
					}
					
					return '<br />[contact-field type="radio"'+label+required+options+']';					
					break;	
				case 'checkbox':
					var label = shortcode.getVal('formfields','checkbox','label');
					var required = shortcode.getVal('formfields','checkbox','required');					
					
					if(required===true){
						required = ' required="true"';
					} else {
						required = '';
					}
					if(label !=""){
						label = ' label="'+label+'"';
					} else {
						label = '';
					}
					
					return '<br />[contact-field type="checkbox"'+label+required+']';
			};
			break;			
		}
		return '';
	},
	getVal:function(a,b,c){
		if(b == undefined){
			var target = jQuery('[name="sc_'+a+'"]');
			if(target.is('.toggle-button')){
				if(target.is(':checked')){
					return true;
				}else{
					return false;
				}
			}
			if(target.size() == 0){
				return jQuery('[name="sc_'+a+'[]"]').val();
			}else{
				return target.val();
			}
		}else if(c == undefined){
			var target = jQuery('[name="sc_'+a+'_'+b+'"]');
			if(target.is('.toggle-button')){
				if(target.is(':checked')){
					return true;
				}else{
					return false;
				}
			}
			if(target.size() == 0){
				return jQuery('[name="sc_'+a+'_'+b+'[]"]').val();
			}else{
				return target.val();
			}
		}else {
			var target = jQuery('[name="sc_'+a+'_'+b+'_'+c+'"]');
			if(target.is('.toggle-button')){
				if(target.is(':checked')){
					return true;
				}else{
					return false;
				}
			}			
			if(target.size() == 0){
				return jQuery('[name="sc_'+a+'_'+b+'_'+c+'[]"]').val();
			}else{
				return target.val();
			}
		}
		
	},
	sendToEditor :function(){
		window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, shortcode.generate());
	}
		
}

jQuery(document).ready( function($) {
	shortcode.init();
});
