<?php

add_action('admin_menu','insert_shortcode_to_pages');

function insert_shortcode_to_pages(){
	add_meta_box( 'custom-shortcodes-page', 'Insert Shortcode', 'insert_shortcode', 'page', 'normal', 'high' );
	add_meta_box( 'custom-shortcodes-post', 'Insert Shortcode', 'insert_shortcode', 'post', 'normal', 'high' );
	add_meta_box( 'custom-shortcodes-slide', 'Insert Shortcode', 'insert_shortcode', 'slideshow', 'normal', 'high' );
}

function insert_shortcode(){
	include_once(THEME_ADMIN . '/shortcode-meta-box/options.php');
	echo '<script language="javascript" type="text/javascript" src="'.get_template_directory_uri().'/framework/admin/shortcode-meta-box/shortcode-box.js"></script>';
	echo '<div id="theme-shortcode"><div class="theme-entry"><div class="theme-label"><label for="sc_selector">Shortcode</label></div><div class="theme-field"><div><select name="sc_selector" class="option_selector">';
	echo '<option value="">Choose one...</option>';
	foreach($shortcodes as $shortcode) {
		echo '<option value="'.$shortcode['value'].'">'.$shortcode['name'].'</option>';
	}
	echo '</select></div></div></div>';
	foreach($shortcodes as $shortcode) {
		echo '<div id="shortcode_'.$shortcode['value'].'" class="shortcode_wrap">';
		if(isset($shortcode['sub'])){
			echo '<div class="theme-entry"><div class="theme-label"><label for="sc_'.$shortcode['value'].'_selector">Type</label></div><div class="theme-field"><div>';
			echo '<select name="sc_'.$shortcode['value'].'_selector" class="option_sub_selector">';
			echo '<option value="">Choose one...</option>';
			foreach($shortcode['options'] as $sub_shortcode) {
				echo '<option value="'.$sub_shortcode['value'].'">'.$sub_shortcode['name'].'</option>';
			}
			echo '</select></div></div></div>';
			foreach($shortcode['options'] as $sub_shortcode) {
				echo '<div id="sub_shortcode_'.$sub_shortcode['value'].'" class="sub_shortcode_wrap">';
				foreach($sub_shortcode['options'] as $option){
					$option['id']='sc_'.$shortcode['value'].'_'.$sub_shortcode['value'].'_'.$option['id'];
					$option['current'] = $option['std'];
					echo generateField($option);
				}
				echo '</div>';
			}
		}else{
			
			foreach($shortcode['options'] as $option){				
				$option['id']='sc_'.$shortcode['value'].'_'.$option['id'];
				$option['current'] = $option['std'];
				echo generateField($option);	
			}
			
		}

		echo '</div>';
	}
	echo '<p><input type="button" id="shortcode_send" class="button" value="Send to editor"/></p>';
	echo '</div>';
}

?>