<?php

$general_fonts = array(
    "arial" => 'Arial, "Helvetica Neue", Helvetica, sans-serif',
    "baskerville" => 'Baskerville, "Times New Roman", Times, serif',
    "cambria" => 'Cambria, Georgia, Times, "Times New Roman", serif',
    "century-gothic" => '"Century Gothic", "Apple Gothic", sans-serif',
    "consolas" => 'Consolas, "Lucida Console", Monaco, monospace',
    "copperplate-light" => '"Copperplate Light", "Copperplate Gothic Light", serif',
    "courier-new" => '"Courier New", Courier, monospace',
    "franklin" => '"Franklin Gothic Medium", "Arial Narrow Bold", Arial, sans-serif',
    "futura" => 'Futura, "Century Gothic", AppleGothic, sans-serif',
    "garamond" => 'Garamond, "Hoefler Text", Times New Roman, Times, serif',
    "geneva" => 'Geneva, "Lucida Sans", "Lucida Grande", "Lucida Sans Unicode", Verdana, sans-serif',
    "georgia" => 'Georgia, Palatino," Palatino Linotype", Times, "Times New Roman", serif',
    "gill-sans" => '"Gill Sans", Calibri, "Trebuchet MS", sans-serif',
    "helvetica" => '"Helvetica Neue", Arial, Helvetica, sans-serif',
    "impact" => 'Impact, Haettenschweiler, "Arial Narrow Bold", sans-serif',
    "lucida" => '"Lucida Sans", "Lucida Grande", "Lucida Sans Unicode", sans-serif',
    "palatino" => 'Palatino, "Palatino Linotype", Georgia, Times, "Times New Roman", serif',
    "tahoma" => 'Tahoma, Geneva, Verdana',
    "times" => 'Times, "Times New Roman", Georgia, serif',
    "trebuchet" => '"Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande", "Lucida Sans", Arial, sans-serif',
    "verdana" => 'Verdana, Geneva, Tahoma, sans-serif'
);

$google_fonts = array(
	"None" => "none",
	"Allan" => "Allan:bold",
	"Allerta" => "Allerta",
	"Allerta Stencil" => "Allerta+Stencil",
	"Anonymous Pro" => "Anonymous+Pro",
	"Arimo" => "Arimo",
	"Arvo" => "Arvo",
	"Bentham" => "Bentham",
	"Buda" => "Buda:light",
	"Cabin" => "Cabin:bold",
	"Calligraffitti" => "Calligraffitti",
	"Cantarell" => "Cantarell",
	"Cardo" => "Cardo",
	"Cherry Cream Soda" => "Cherry+Cream+Soda",
	"Chewy" => "Chewy",
	"Coda" => "Coda:800",
	"Coming Soon" => "Coming+Soon",
	"Copse" => "Copse",
	"Corben" => "Corben:bold",
	"Cousine" => "Cousine",
	"Covered By Your Grace" => "Covered+By+Your+Grace",
	"Crafty Girls" => "Crafty+Girls",
	"Crimson Text" => "Crimson+Text",
	"Crushed" => "Crushed",
	"Cuprum" => "Cuprum",
	"Droid Sans" => "Droid+Sans",
	"Droid Sans Mono" => "Droid+Sans+Mono",
	"Droid Serif" => "Droid+Serif",
	"Fontdiner Swanky" => "Fontdiner+Swanky",
	"Geo" => "Geo",
	"Gruppo" => "Gruppo",
	"Homemade Apple" => "Homemade+Apple",
	"IM Fell" => "IM+Fell+DW+Pica",
	"Inconsolata" => "Inconsolata",
	"Irish Growler" => "Irish+Growler",
	"Josefin Sans Std Light" => "Josefin+Sans:300",
	"Josefin Slab" => "Josefin+Slab:100",
	"Just Another Hand" => "Just+Another+Hand",
	"Just Me Again Down Here" => "Just+Me+Again+Down+Here",
	"Kenia" => "Kenia",
	"Kranky" => "Kranky",
	"Kristi" => "Kristi",
	"Lato" => "Lato",
	"Lekton" => "Lekton",
	"Lobster" => "Lobster",
	"Luckiest Guy" => "Luckiest+Guy",
	"Maiden Orange" => "Maiden+Orange",
	"Merriweather" => "Merriweather",
	"Molengo" => "Molengo",
	"Mountains of Christmas" => "Mountains+of+Christmas",
	"Neucha" => "Neucha",
	"Neuton" => "Neuton",
	"Nobile" => "Nobile",
	"OFL Sorts Mill Goudy TT" => "OFL+Sorts+Mill+Goudy+TT",
	"Old Standard TT" => "Old+Standard+TT",
	"Orbitron" => "Orbitron",
	"PT Sans" => "PT+Sans",
	"Permanent Marker" => "Permanent+Marker",
	"Philosopher" => "Philosopher",
	"Puritan" => "Puritan",
	"Raleway" => "Raleway:100",
	"Reenie Beanie" => "Reenie+Beanie",
	"Rock Salt" => "Rock+Salt",
	"Schoolbell" => "Schoolbell",
	"Slackey" => "Slackey",
	"Sniglet" => "Sniglet:800",
	"Sunshiney" => "Sunshiney",
	"Syncopate" => "Syncopate",
	"Tangerine" => "Tangerine",
	"Tinos" => "Tinos",
	"Ubuntu" => "Ubuntu",
	"UnifrakturCook" => "UnifrakturCook:bold",
	"UnifrakturMaguntia" => "UnifrakturMaguntia",
	"Unkempt" => "Unkempt",
	"Vibur" => "Vibur",
	"Vollkorn" => "Vollkorn",
	"Walter Turncoat" => "Walter+Turncoat",
	"Yanone Kaffeesatz" => "Yanone+Kaffeesatz"
);

$color_themes = array( 
	"business-blue" => "Business Blue",
	"vibrant-orange" => "Vibrant Orange",
	"neutral-clay" => "Neutral Clay",
	"enviro-green" => "Enviro Green",
	"glossy-grey" => "Glossy Grey",
	"fire-red" => "Fire Red",
	"light-blue" => "Light Blue",
	"midnight-black" => "Midnight Black",
	"moca-brown" => "Moca Brown",
	"teal-grey" => "Teal Grey",
);

?>