<?php
function theme_sc_column($atts, $content = null, $code) {
	extract(shortcode_atts(array(
		'divider' => false,
	), $atts));
	return '[raw]'.'<div class="'.str_replace('_','-',$code).($divider ? ' separator' : '').'">'.'[/raw]' . do_shortcode(trim($content)) . '[raw]'.'</div>'.'[/raw]';
}
function theme_sc_column_last($atts, $content = null, $code) {
	return '[raw]'.'<div class="'.str_replace('_','-',str_replace('_last','',$code)).' last">'.'[/raw]' . do_shortcode(trim($content)) . '[raw]'.'</div><div class="clear"></div>'.'[/raw]';
}

add_shortcode('one_half', 'theme_sc_column');
add_shortcode('one_third', 'theme_sc_column');
add_shortcode('one_fourth', 'theme_sc_column');
add_shortcode('one_fifth', 'theme_sc_column');
add_shortcode('one_sixth', 'theme_sc_column');

add_shortcode('two_third', 'theme_sc_column');
add_shortcode('three_fourth', 'theme_sc_column');
add_shortcode('two_fifth', 'theme_sc_column');
add_shortcode('three_fifth', 'theme_sc_column');
add_shortcode('four_fifth', 'theme_sc_column');
add_shortcode('five_sixth', 'theme_sc_column');

add_shortcode('one_half_last', 'theme_sc_column_last');
add_shortcode('one_third_last', 'theme_sc_column_last');
add_shortcode('one_fourth_last', 'theme_sc_column_last');
add_shortcode('one_fifth_last', 'theme_sc_column_last');
add_shortcode('one_sixth_last', 'theme_sc_column_last');

add_shortcode('two_third_last', 'theme_sc_column_last');
add_shortcode('three_fourth_last', 'theme_sc_column_last');
add_shortcode('two_fifth_last', 'theme_sc_column_last');
add_shortcode('three_fifth_last', 'theme_sc_column_last');
add_shortcode('four_fifth_last', 'theme_sc_column_last');
add_shortcode('five_sixth_last', 'theme_sc_column_last');

?>