<?php

define('THEME_NAME', 'Socialite');
define('THEME_SLUG', 'socialite');
define('THEME_SUPPORT_SERVER', 'http://syncthemes.com');

define('THEME_FUNCTIONS', TEMPLATEPATH . '/framework/functions');
define('THEME_WIDGETS', TEMPLATEPATH . '/framework/widgets');
define('THEME_SHORTCODES', TEMPLATEPATH . '/framework/shortcodes');
define('THEME_ADMIN', TEMPLATEPATH . '/framework/admin');
define('THEME_CONTENT', TEMPLATEPATH . '/framework/content');
define('THEME_HOME', get_stylesheet_directory_uri());
define('THEME_JS', THEME_HOME . '/js');
define('THEME_FRAMEWORK', THEME_HOME . '/framework');
define('THEME_CSS', THEME_HOME . '/css');
define('THEME_CURR_PAGE', $_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"]);


require_once(THEME_FUNCTIONS . '/mobile-detection.php');
require_once(THEME_FUNCTIONS . '/theme-functions.php');
require_once(THEME_FUNCTIONS . '/nav-output.php');
require_once(THEME_FUNCTIONS . '/custom-styles.php');
require_once(THEME_FUNCTIONS . '/breadcrumbs-plus/breadcrumbs-plus.php');
require_once(THEME_FUNCTIONS . '/sidebar_generator.php');
require_once(THEME_FUNCTIONS . '/wp-pagenavi.php');
require_once(THEME_FUNCTIONS . '/get-the-image.php');
require_once(THEME_FUNCTIONS . '/recaptcha/captcha.php');
require_once(THEME_FUNCTIONS . '/upgrades/init.php');
require_once(THEME_ADMIN . '/layout/fieldgenerator.php');
require_once(THEME_ADMIN . '/layout/metaboxgenerator.php');


require_once(THEME_WIDGETS . '/archives.php');
require_once(THEME_WIDGETS . '/categories.php');
require_once(THEME_WIDGETS . '/social.php');
require_once(THEME_WIDGETS . '/opt-in.php');
require_once(THEME_WIDGETS . '/ads.php');



require_once(THEME_SHORTCODES . '/uicontrols.php');
require_once(THEME_SHORTCODES . '/boxes.php');
require_once(THEME_SHORTCODES . '/buttons.php');
require_once(THEME_SHORTCODES . '/images.php');
require_once(THEME_SHORTCODES . '/html.php');
require_once(THEME_SHORTCODES . '/layout.php');
require_once(THEME_SHORTCODES . '/slideshow.php');
require_once(THEME_SHORTCODES . '/video.php');
require_once(THEME_SHORTCODES . '/social.php');



require_once(THEME_CONTENT . '/style-options.php');
require_once(THEME_CONTENT . '/sidebars.php');
require_once(THEME_CONTENT . '/popular-posts.php');
require_once(THEME_CONTENT . '/recent-posts.php');
require_once(THEME_CONTENT . '/twitter/twitter.php');
require_once(THEME_CONTENT . '/facebook.php');
require_once(THEME_CONTENT . '/flickr.php');
require_once(THEME_CONTENT . '/youtube/channelit.php');
require_once(THEME_CONTENT . '/contact-info.php');
require_once(THEME_CONTENT . "/portfolio/portfolio.php" );
require_once(THEME_CONTENT . "/slideshow/anything.php" );
require_once(THEME_CONTENT . "/slideshow/nivo.php" );
require_once(THEME_CONTENT . "/slideshow/piecemaker.php" );
require_once(THEME_CONTENT . '/contact-form/grunion-contact-form.php');


require_once(THEME_ADMIN . '/layout/head.php');
require_once(THEME_ADMIN . "/theme-options/options.php" );
require_once(THEME_ADMIN . "/theme-options/generator.php" );
require_once(THEME_ADMIN . '/shortcode-meta-box/shortcode-box.php');
require_once(THEME_ADMIN . '/page-general-metabox.php');
require_once(THEME_ADMIN . '/update-notice.php');

remove_action ('wp_head', 'rsd_link');
remove_action ('wp_head', 'wlwmanifest_link');
remove_action ('wp_head', 'wp_generator');
add_filter('widget_text', 'do_shortcode');
add_theme_support( 'post-thumbnails' );
add_theme_support( 'automatic-feed-links' );

?>