<?php
/*
Template Name: Sitemap
*/
?>
<?php get_header(); ?>
<div class="main-container content-full">
<?php theme_head(); ?>
<div id="content" >
<?php if(have_posts()) : while(have_posts()) : the_post(); the_content(); endwhile; endif; ?>
<h2>Pages</h2>
<ul><?php wp_list_pages('depth=0&sort_column=menu_order&title_li=' ); ?></ul>
<div class="divider-top"><a href="#" class="link-top">Top</a></div>
<h2>Categories</h2>
<ul><?php wp_list_categories('title_li=&hierarchical=0&show_count=1') ?></ul>
<div class="divider-top"><a href="#" class="link-top">Top</a></div>
<h2>Blog Posts</h2>
<?php $cats = get_categories(); ?>
<?php foreach ($cats as $cat) : ?>
<?php query_posts('cat='.$cat->cat_ID); ?>
<h4><?php echo $cat->cat_name; ?></h4>
<ul>
<?php while (have_posts()) : the_post(); ?>
<li style="font-weight:normal !important;"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a> - <?php _e('Comments', 'woothemes') ?> (<?php echo $post->comment_count ?>)</li>
<?php endwhile;  ?>
</ul>
<?php endforeach; ?>
</div><!-- #content -->
</div><!-- .main-container -->
<?php get_footer(); ?>