<?php

$footer_column_sidebars = array(
	'First Footer Column',
	'Second Footer Column',
	'Third Footer Column',
	'Fourth Footer Column',
);


function theme_widgets_init() {

	global $footer_column_sidebars;

	register_sidebar( array(
	'name' => 'Top Right Toolbar',
	'description' => 'This region is located on the right side above the main navigation',
	'before_widget' => '',
	'after_widget' => '',
	'before_title' => '<h2>',
	'after_title' => '</h2>',
	));	
	
	register_sidebar( array(
	'name' => 'Top Left Navigation',
	'description' => 'This region is located on the left side above the main navigation. Use a custom menu widget to insert a utility navigation.',
	'before_widget' => '',
	'after_widget' => '',
	'before_title' => '<h2>',
	'after_title' => '</h2>',
	));

	register_sidebar( array(
	'name' => 'Blog Sidebar',
	'description' => 'This sidebar is displayed on all Blog pages.',
	'before_widget' => '<div class="sidebar-widget">',
	'after_widget' => '</div>',
	'before_title' => '<h2>',
	'after_title' => '</h2>',
	));

	foreach($footer_column_sidebars as $name){
		register_sidebar( array(
		'name' => $name,
		'description' => $name,
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<h2>',
		'after_title' => '</h2>',
		));	
	}
	
	register_sidebar( array(
	'name' => 'Content Sidebar',
	'description' => 'This sidebar is displayed on all content pages with sidebar enabled.',
	'before_widget' => '<div class="sidebar-widget">',
	'after_widget' => '</div>',
	'before_title' => '<h2>',
	'after_title' => '</h2>',
	));	
	
}
add_action( 'widgets_init', 'theme_widgets_init' );
?>