<?php

function slideshow_piecemaker($category, $width, $height, $delay="5000", $type="slider"){
	
	global $is_mobile;
	$output = "";
	
	if(!$is_mobile):
		
		if(!$delay){
			$delay = (int)(get_option(THEME_SLUG."_piecemaker_slider_pausetime"));
		}
		
		$width = preg_replace("/[^0-9]/","", $width);
		$height = preg_replace("/[^0-9]/","", $height);				

		$home_url = THEME_HOME;
		$uploads = wp_upload_dir();		
		$wrap_height = $height+25;
		
		$category = $category?'&category='.$category:'';
		
		$xmlsource = urlencode(THEME_HOME.'/piecemaker/piecemakerXML.php?type='.$type.'&height='.$height.'&width='.$width.'&delay='.$delay.$category);
		$csssource = urlencode(THEME_HOME.'/piecemaker/piecemakerCSS.css');
		$imgsource = home_url();
		
		$id = "slideshow_".mt_rand();	
			
		$output .= '<div class="piecemaker-slider"><div class="clear"></div><div id="'.$id.'"><p>You need to <a href="http://www.adobe.com/products/flashplayer/" target="_blank">upgrade your Flash Player</a> to version 10 or newer</p></div></div>';
		
		$output .= '<script type="text/javascript">'."\n";
		$output .= '	var flashvars = {};'."\n";
		$output .= '	flashvars.xmlSource = "'.$xmlsource.'";'."\n";
		$output .= '	flashvars.cssSource = "'.$csssource.'";'."\n";
		$output .= '	flashvars.imageSource = "'.$imgsource.'";'."\n";
		$output .= '	var params = {};'."\n";
		$output .= '	params.menu = "false";'."\n";
		$output .= '	params.wmode = "transparent";'."\n";
		$output .= '	params.allowscriptaccess = "always";'."\n";
		$output .= '	params.allownetworking = "all";'."\n";			
		$output .= '	var attributes = {};'."\n";
		$output .= '	swfobject.embedSWF("'.$home_url.'/piecemaker/piecemaker.swf", "'.$id.'", "100%", "'.$wrap_height.'", "10","'.$home_url.'/swf/expressInstall.swf", flashvars, params, attributes);'."\n";
		$output .= '</script>'."\n";;
		
	endif;
	return $output;
} 

?>