<?php
function theme_sc_slideshow($atts, $content = null, $code) {
    extract(shortcode_atts(array(
			'type' => 'anything',
    		'category' => 'all',
            'effect' => '',
            'width' => '580px',
            'height' => '250px',
			'animspeed' => 0,
			'pausetime' => 0,
			'controlnav' => '',
			'pauseonhover' => ''
    ), $atts));
	
	$pausetime = preg_replace("/[^0-9]/","", $pausetime);
	$animspeed = preg_replace("/[^0-9]/","", $animspeed);

	if($type == 'nivo' && function_exists('slideshow_nivo')){
		$output = slideshow_nivo($category, $effect, $animspeed, $pausetime, $controlnav, $pauseonhover, $width, $height);
	}elseif($type == 'anything' && function_exists('slideshow_anything')){		
		$output = slideshow_anything($category, $effect, $animspeed, $pausetime, $pauseonhover, $width, $height);
	}elseif($type == 'piecemaker' && function_exists('slideshow_piecemaker')){		
		$output = slideshow_piecemaker($category, $width, $height, $pausetime);
	}
    return $output;    
}

add_shortcode('slideshow', 'theme_sc_slideshow');
?>
