<?php

function theme_sc_tabs($atts, $content = null, $code) {
	
	if (!preg_match_all("/(.?)\[(tab)\b(.*?)(?:(\/))?\](?:(.+?)\[\/tab\])?(.?)/s", $content, $matches)) {
		return do_shortcode($content);
	} else {
		for($i = 0; $i < count($matches[0]); $i++) {
			$matches[3][$i] = shortcode_parse_atts($matches[3][$i]);
		}
		
		$output = '<ul>';		
		for($i = 0; $i < count($matches[0]); $i++) {			
			$output .= '<li><a href="#tabs-'.($i+1).'">' . $matches[3][$i]['title'] . '</a></li>';
		}
		$output .= '</ul>';
		
		for($i = 0; $i < count($matches[0]); $i++) {
			$output .= '[raw]<div id="tabs-'.($i+1).'">[/raw]' . do_shortcode(trim($matches[5][$i])) . '[raw]</div>[/raw]';
		}
	
		return '<div class = "tabs_container tabs">' . $output . '</div>';
	}
}
add_shortcode('tabs', 'theme_sc_tabs');


function theme_sc_toggle($atts, $content = null, $code) {
	extract(shortcode_atts(array(
		'title' => false
	), $atts));
	return '<div class="toggle"><h4 class="toggle-title">' . $title . '</h4><div class="toggle-content">' . do_shortcode(trim($content)) . '</div></div>';
}
add_shortcode('toggle', 'theme_sc_toggle');


function theme_sc_accordions($atts, $content = null, $code) {
	
	if (!preg_match_all("/(.?)\[(accordion)\b(.*?)(?:(\/))?\](?:(.+?)\[\/accordion\])?(.?)/s", $content, $matches)) {
		return do_shortcode($content);
	} else {
		for($i = 0; $i < count($matches[0]); $i++) {
			$matches[3][$i] = shortcode_parse_atts($matches[3][$i]);
		}
		$output = '';
		for($i = 0; $i < count($matches[0]); $i++) {
			$output .= '<h3>' . $matches[3][$i]['title'] . '</h3>';
			$output .= '[raw]<div class="pane">[/raw]' . do_shortcode(trim($matches[5][$i])) . '[raw]</div>[/raw]';
		}
		
		return '<div class="accordion">' . $output . '</div>';
	}
}
add_shortcode('accordions', 'theme_sc_accordions');
?>