<?php get_header(); ?>
<div class="main-container">
<?php $blog_sidebar = get_option(THEME_SLUG."_blog_sidebar"); ?>
<?php if($blog_sidebar == "right") :?>
<?php theme_sidebar(false, true, "blog", "left"); ?>
<?php endif; ?>
<div class="content-sidebar content-<?php echo $blog_sidebar; ?>">
<?php theme_head("true", "false"); ?>
<div id="content">
<?php if(have_posts()) : while (have_posts()) : the_post(); ?>
<div class="post-wrapper">
<div class="post-title">
<h1><?php the_title(); ?></h1>
<div class="post-cats"><span>Posted in:</span> <?php the_category(', '); ?></div><!-- .post-cats -->
<div class="posted-by-text"><?php if(get_option(THEME_SLUG."_posted_by") == "true") : ?><span>&nbsp;&nbsp;|&nbsp;&nbsp;by:</span> <?php the_author_posts_link(); ?><?php endif; ?></div><!-- .posted-by-text -->
<div class="post-tags"><?php if(get_the_tags()) : ?><span>Tags:</span>  <?php the_tags('', ', '); ?><?php endif; ?></div><!-- .post-tags -->
</div><!-- .post-title -->		
<div class="post-content">	
<?php if(has_post_thumbnail()) : ?>
<div class="post-thumb">
<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="preload"><?php get_the_image( array('size' => 'blog_thumb_image','echo'=>true,'link_to_post'=>false,'width'=>558,'height'=>260) );?></a>
<div class="post-thumb-shadow"></div>
</div><!-- .post-thumb -->
<?php else : ?> 
<?php endif; ?>		
<div class="post-text">
<?php the_content(); ?>
</div><!-- .post-text -->	
</div><!-- .post-content -->		
<?php if(get_option(THEME_SLUG."_post_date") == "true") : ?><div class="post-date"><span class="day"><?php the_time('j'); ?></span><span class="month"><?php echo strtoupper(get_the_time('M')); ?></span></div><!-- .post-date --><?php endif; ?>
<?php if(get_option(THEME_SLUG."_comments_count") == "true") : ?><div class="post-comments"><a href="<?php echo the_permalink().'#post-comments'; ?>"><span><?php comments_number('0', '1', '%'); ?></span></a></div><!-- .post-comments --><?php endif; ?>
<?php if(get_option(THEME_SLUG."_blog_tweet") == "true" && function_exists('theme_tweet_button')){ echo theme_tweet_button(); } ?>
<?php if(get_option(THEME_SLUG."_blog_fblike") == "true" && function_exists('theme_facebook_like')){ echo theme_facebook_like(); } ?>
<div class="post-footer"></div><!-- .post-footer -->
</div><!-- .post-wrapper -->	
<?php if(get_option(THEME_SLUG."_about_author") == "true") : ?>
<div class="horizontal-separator"></div>
<div class="comment-body">
<div class="gravatar"><?php echo get_avatar(get_the_author_meta('email'),$size='60',$default=''); ?></div><!-- .gravatar -->
<div class="comment-content">
<div class='comment-text'>
<p>About the Author</p>
<?php the_author_meta('description'); ?>
</div><!-- .comment-text -->
</div><!-- .comment-content -->
</div><!-- .comment-body -->
<?php endif; ?>
<div class="divider"></div>
<?php comments_template('', true); ?>
<?php endwhile; else: ?>
<h2>Nothing Found</h2>
<p>Sorry, it appears there is no content in this section.</p>
<?php endif; ?>
<?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); } ?>
</div><!-- #content -->
</div><!-- .content-sidebar -->
<?php if($blog_sidebar == "left") :?>
<?php theme_sidebar(false, true, "blog", "right"); ?>
<?php endif; ?>
</div><!-- .main-container -->
<?php get_footer(); ?>