<?php
/*
Template Name: Homepage
*/
?>
<!DOCTYPE HTML >
<html <?php language_attributes(); ?>>
<head>
<?php theme_head_meta(); ?>
<?php wp_head(); ?>
<?php theme_custom_styles(); ?>
</head>
<body>
<div id="wrapper">
<?php theme_header_top(); ?>
<?php $slider = get_option(THEME_SLUG."_homepage_slider"); ?>
<?php if($slider == "true") : ?>
<div id="header" class="home-header">
<?php theme_header(); ?>
<?php $slider_type = get_option(THEME_SLUG."_homepage_slider_type"); ?>
<?php if($_GET['slider']) : $slider_type = $_GET['slider']; endif; ?>
<?php $slider_height = preg_replace("/[^0-9]/", "", get_option(THEME_SLUG."_homepage_slider_height")); ?>
<div id="home-slider">
<div class="home-slider-wrapper home-slider-<?php echo $slider_type; ?>">
<?php echo theme_formatter(do_shortcode('[slideshow type="'.$slider_type.'" category="'.get_option(THEME_SLUG."_homepage_".$slider_type."_category").'" width="960px" height="'.$slider_height.'px"]')); ?>
</div></div>
</div><!-- #header -->
<div id="main">
<?php $scroller = get_option(THEME_SLUG."_homepage_scroller"); ?>
<?php if($scroller == "true") : ?>
<div class="home-scroller">
<?php $scroller_type = get_option(THEME_SLUG."_homepage_scroller_type"); ?>
<?php if($scroller_type == "portfolio") : echo do_shortcode('[portfolio column="scroller" paging="false" max="-1" category="'.get_option(THEME_SLUG."_homepage_scroller_portfolio").'" title="false" desc="false" filter="false" group="false"]'); endif; ?>
<?php if($scroller_type == "channelit") : echo do_shortcode('[videos id="'.get_option(THEME_SLUG."_homepage_scroller_channel").'" type="channel" count="20" size="scroller" title="false" views="false" author="false" date="false"]'); endif; ?>
<?php if($scroller_type == "html") : echo '<div class="scroller-html">'.theme_formatter(do_shortcode(get_option(THEME_SLUG."_homepage_scroller_html"))).'</div>'; endif; ?>
</div><div class="home-scroller-shadow"></div>
<?php endif; ?>
<?php else : ?>
<div id="header">
<?php theme_header(); ?>
</div><!-- #header -->
<div id="main">
<?php endif; ?>
<div class="main-container content-full">
<div id="content" >
<?php if(have_posts()) : while(have_posts()) : the_post(); the_content(); endwhile; endif; ?>
</div><!-- #content -->
</div><!-- .main-container -->
<?php get_footer(); ?>